diff --git a/changelog b/changelog
index fd90cc9..464bcad 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,9 @@
+20100920 tpd src/axiom-website/patches.html 20100920.01.tpd.patch
+20100920 tpd src/input/test.input clean up broken tests
+20100920 tpd src/input/setcmd.input clean up broken tests
+20100920 tpd src/input/richtrig800-899.input clean up broken tests
+20100920 tpd src/input/richlog300-391.input clean up broken tests
+20100920 tpd src/input/kamke3.input clean up broken tests
 20100919 tpd src/axiom-website/patches.html 20100919.02.tpd.patch
 20100919 tpd src/interp/compiler.lisp treeshake compiler
 20100919 tpd books/bookvol9 treeshake compiler
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 9580227..6f7a455 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3131,5 +3131,7 @@ books/bookvol9 treeshake compiler<br/>
 books/bookvol9 treeshake compiler<br/>
 <a href="patches/20100919.02.tpd.patch">20100919.02.tpd.patch</a>
 books/bookvol9 treeshake compiler<br/>
+<a href="patches/20100920.01.tpd.patch">20100920.01.tpd.patch</a>
+src/input/*.input clean up broken tests<br/>
  </body>
 </html>
diff --git a/src/input/kamke3.input.pamphlet b/src/input/kamke3.input.pamphlet
index f2ff41a..92a28d4 100644
--- a/src/input/kamke3.input.pamphlet
+++ b/src/input/kamke3.input.pamphlet
@@ -1251,645 +1251,6 @@ ode180 := (a*x**2+b*x+c)*(x*D(y(x),x)-y(x)) - y(x)**2 + x**2
 
 --S 85 of 139  random generation, FAILURE OK.
 yx:=solve(ode180,y,x)
---R 
---R   WARNING (genufact): No known algorithm to factor
---R                     2            2
---R      4   - 4a c + 2b   2        b
---R     ?  + ------------ ?  - -----------, trying square-free.
---R             3     2 2        5     4 2
---R           4a c - a b       4a c - a b
---R   WARNING (genufact): No known algorithm to factor
---R                     2            2         2            2
---R      4   - 4a c + 2b  - 4a b + 4a   2   - b  + 4a b - 4a
---R     ?  + ------------------------- ?  + -----------------, trying square-free.
---R                   3     2 2                  5     4 2
---R                 4a c - a b                 4a c - a b
---R   WARNING (genufact): No known algorithm to factor
---R                           2              4      2
---R        9   9b  8   (144a b  - 24a)c - 36b  + 12b   7
---R       ?  - -- ?  + ------------------------------ ?
---R             a                  3     2 2
---R                              4a c - a b
---R     + 
---R                3                 5      3
---R       (- 336a b  + 168a b)c + 84b  - 84b   6
---R       ----------------------------------- ?
---R                     4     3 2
---R                   4a c - a b
---R     + 
---R                   2 4        2 2       2  2
---R             (2016a b  - 2016a b  + 144a )c
---R           + 
---R                       6          4         2         8       6      4
---R             (- 1008a b  + 1512a b  - 192a b )c + 126b  - 252b  + 48b
---R        /
---R              6 2     5 2     4 4
---R           16a c  - 8a b c + a b
---R      *
---R          5
---R         ?
---R     + 
---R                     2 5        2 3       2   2
---R             (- 2016a b  + 3360a b  - 720a b)c
---R           + 
---R                     7          5         3         9       7       5
---R             (1008a b  - 2520a b  + 960a b )c - 126b  + 420b  - 240b
---R        /
---R              7 2     6 2     5 4
---R           16a c  - 8a b c + a b
---R      *
---R          4
---R         ?
---R     + 
---R                   3 6         3 4        3 2       3  3
---R             (5376a b  - 13440a b  + 5760a b  - 256a )c
---R           + 
---R                     2 8         2 6        2 4       2 2  2
---R             (- 4032a b  + 13440a b  - 9120a b  + 640a b )c
---R           + 
---R                     10          8          6         4        12       10
---R             (1008a b   - 4200a b  + 3840a b  - 384a b )c - 84b   + 420b
---R           + 
---R                   8      6
---R             - 480b  + 64b
---R        /
---R              9 3      8 2 2      7 4     6 6
---R           64a c  - 48a b c  + 12a b c - a b
---R      *
---R          3
---R         ?
---R     + 
---R                     3 7        3 5        3 3       3   3
---R             (- 2304a b  + 8064a b  - 5760a b  + 768a b)c
---R           + 
---R                   2 9        2 7        2 5        2 3  2
---R             (1728a b  - 8064a b  + 9120a b  - 1920a b )c
---R           + 
---R                      11          9          7          5        13       11
---R             (- 432a b   + 2520a b  - 3840a b  + 1152a b )c + 36b   - 252b
---R           + 
---R                 9       7
---R             480b  - 192b
---R        /
---R              10 3      9 2 2      8 4     7 6
---R           64a  c  - 48a b c  + 12a b c - a b
---R      *
---R          2
---R         ?
---R     + 
---R                  3 8        3 6        3 4       3 2  3
---R             (576a b  - 2688a b  + 2880a b  - 768a b )c
---R           + 
---R                    2 10        2 8        2 6        2 4       2 2  2
---R             (- 432a b   + 2688a b  - 4560a b  + 1920a b  - 256a b )c
---R           + 
---R                    12         10          8          6       14      12
---R             (108a b   - 840a b   + 1920a b  - 1152a b )c - 9b   + 84b
---R           + 
---R                   10       8
---R             - 240b   + 192b
---R        /
---R              11 3      10 2 2      9 4     8 6
---R           64a  c  - 48a  b c  + 12a b c - a b
---R      *
---R         ?
---R     + 
---R                 3 9       3 7       3 5       3 3  3
---R           (- 64a b  + 384a b  - 576a b  + 256a b )c
---R         + 
---R               2 11       2 9       2 7       2 5       2 3  2
---R           (48a b   - 384a b  + 912a b  - 640a b  + 256a b )c
---R         + 
---R                   13         11         9         7      15      13      11
---R           (- 12a b   + 120a b   - 384a b  + 384a b )c + b   - 12b   + 48b
---R         + 
---R                9
---R           - 64b
---R      /
---R            12 3      11 2 2      10 4     9 6
---R         64a  c  - 48a  b c  + 12a  b c - a b
---R     , trying square-free.
---R   WARNING (genufact): No known algorithm to factor
---R        9   9b - 18a  8
---R       ?  + -------- ?
---R                a
---R     + 
---R                    2       2        3              4         3
---R             (144a b  - 576a b + 576a  - 24a)c - 36b  + 144a b
---R           + 
---R                    2       2              2
---R             (- 144a  + 12)b  - 24a b + 24a
---R        /
---R             3     2 2
---R           4a c - a b
---R      *
---R          7
---R         ?
---R     + 
---R                    3        2 2         3                 4       2        5
---R             (336a b  - 2016a b  + (4032a  - 168a)b - 2688a  + 336a )c - 84b
---R           + 
---R                   4           2       3        3         2       2        3
---R             504a b  + (- 1008a  + 84)b  + (672a  - 336a)b  + 504a b - 336a
---R        /
---R             4     3 2
---R           4a c - a b
---R      *
---R          6
---R         ?
---R     + 
---R                      2 4         3 3          4        2  2
---R                 2016a b  - 16128a b  + (48384a  - 2016a )b
---R               + 
---R                          5        3           6        4       2
---R                 (- 64512a  + 8064a )b + 32256a  - 8064a  + 144a
---R            *
---R                2
---R               c
---R           + 
---R                          6        2 5            3          4
---R                 - 1008a b  + 8064a b  + (- 24192a  + 1512a)b
---R               + 
---R                        4        2  3            5         3         2
---R                 (32256a  - 8064a )b  + (- 16128a  + 16128a  - 192a)b
---R               + 
---R                          4       2          5       3
---R                 (- 16128a  + 480a )b + 8064a  - 480a
---R            *
---R               c
---R           + 
---R                 8          7         2        6           3          5
---R             126b  - 1008a b  + (3024a  - 252)b  + (- 4032a  + 1512a)b
---R           + 
---R                   4        2       4         3         3           4       2  2
---R             (2016a  - 3528a  + 48)b  + (4032a  - 192a)b  + (- 2016a  + 336a )b
---R           + 
---R                   3        4
---R             - 288a b + 144a
---R        /
---R              6 2     5 2     4 4
---R           16a c  - 8a b c + a b
---R      *
---R          5
---R         ?
---R     + 
---R                      2 5         3 4          4        2  3
---R                 2016a b  - 20160a b  + (80640a  - 3360a )b
---R               + 
---R                           5         3  2           6         4       2
---R                 (- 161280a  + 20160a )b  + (161280a  - 40320a  + 720a )b
---R               + 
---R                         7         5        3
---R                 - 64512a  + 26880a  - 1440a
---R            *
---R                2
---R               c
---R           + 
---R                          7         2 6            3          5
---R                 - 1008a b  + 10080a b  + (- 40320a  + 2520a)b
---R               + 
---R                        4         2  4            5         3         3
---R                 (80640a  - 18480a )b  + (- 80640a  + 53760a  - 960a)b
---R               + 
---R                        6         4        2  2          5        3           6
---R                 (32256a  - 80640a  + 4320a )b  + (67200a  - 7200a )b - 26880a
---R               + 
---R                      4
---R                 4800a
---R            *
---R               c
---R           + 
---R                 9          8         2        7            3          6
---R             126b  - 1260a b  + (5040a  - 420)b  + (- 10080a  + 3360a)b
---R           + 
---R                    4         2        5           5         3          4
---R             (10080a  - 10920a  + 240)b  + (- 4032a  + 18480a  - 1440a)b
---R           + 
---R                      4        2  3         5        3  2        4         5
---R             (- 16800a  + 3600a )b  + (6720a  - 4800a )b  + 3600a b - 1440a
---R        /
---R              7 2     6 2     5 4
---R           16a c  - 8a b c + a b
---R      *
---R          4
---R         ?
---R     + 
---R                      3 6         4 5           5         3  4
---R                 5376a b  - 64512a b  + (322560a  - 13440a )b
---R               + 
---R                           6          4  3            7          5        3  2
---R                 (- 860160a  + 107520a )b  + (1290240a  - 322560a  + 5760a )b
---R               + 
---R                            8          6         4            9          7
---R                 (- 1032192a  + 430080a  - 23040a )b + 344064a  - 215040a
---R               + 
---R                       5       3
---R                 23040a  - 256a
---R            *
---R                3
---R               c
---R           + 
---R                        2 8         3 7             4         2  6
---R                 - 4032a b  + 48384a b  + (- 241920a  + 13440a )b
---R               + 
---R                         5          3  5             6          4        2  4
---R                 (645120a  - 120960a )b  + (- 967680a  + 443520a  - 9120a )b
---R               + 
---R                         7          5         3  3
---R                 (774144a  - 860160a  + 55680a )b
---R               + 
---R                           8          6          4       2  2
---R                 (- 258048a  + 967680a  - 132480a  + 640a )b
---R               + 
---R                         7          5        3            8         6        4
---R               (- 645120a  + 153600a  - 1792a )b + 215040a  - 76800a  + 1792a
---R            *
---R                2
---R               c
---R           + 
---R                        10         2 9          3          8
---R                 1008a b   - 12096a b  + (60480a  - 4200a)b
---R               + 
---R                           4         2  7           5          3          6
---R                 (- 161280a  + 40320a )b  + (241920a  - 161280a  + 3840a)b
---R               + 
---R                           6          4         2  5
---R                 (- 193536a  + 349440a  - 27840a )b
---R               + 
---R                        7          5         3         4
---R                 (64512a  - 443520a  + 83520a  - 384a)b
---R               + 
---R                         6          4        2  3
---R                 (322560a  - 134400a  + 1792a )b
---R               + 
---R                           7          5        3  2            6        4
---R                 (- 107520a  + 124800a  - 3584a )b  + (- 69120a  + 3584a )b
---R               + 
---R                       7        5
---R                 23040a  - 1792a
---R            *
---R               c
---R           + 
---R                  12          11           2        10          3          9
---R             - 84b   + 1008a b   + (- 5040a  + 420)b   + (13440a  - 4200a)b
---R           + 
---R                      4         2        8          5         3          7
---R             (- 20160a  + 17640a  - 480)b  + (16128a  - 40320a  + 3840a)b
---R           + 
---R                     6         4         2       6
---R             (- 5376a  + 53760a  - 12960a  + 64)b
---R           + 
---R                      5         3         5          6         4        2  4
---R             (- 40320a  + 24000a  - 384a)b  + (13440a  - 26400a  + 1024a )b
---R           + 
---R                    5        3  3           6        4  2       5        6
---R             (17280a  - 1536a )b  + (- 5760a  + 1408a )b  - 768a b + 256a
---R        /
---R              9 3      8 2 2      7 4     6 6
---R           64a c  - 48a b c  + 12a b c - a b
---R      *
---R          3
---R         ?
---R     + 
---R                      3 7         4 6           5        3  5
---R                 2304a b  - 32256a b  + (193536a  - 8064a )b
---R               + 
---R                           6         4  4            7          5        3  3
---R                 (- 645120a  + 80640a )b  + (1290240a  - 322560a  + 5760a )b
---R               + 
---R                            8          6         4  2
---R                 (- 1548288a  + 645120a  - 34560a )b
---R               + 
---R                          9          7         5       3            10
---R                 (1032192a  - 645120a  + 69120a  - 768a )b - 294912a
---R               + 
---R                        8         6        4
---R                 258048a  - 46080a  + 1536a
---R            *
---R                3
---R               c
---R           + 
---R                        2 9         3 8             4        2  7
---R                 - 1728a b  + 24192a b  + (- 145152a  + 8064a )b
---R               + 
---R                         5         3  6             6          4        2  5
---R                 (483840a  - 88704a )b  + (- 967680a  + 411264a  - 9120a )b
---R               + 
---R                          7           5         3  4
---R                 (1161216a  - 1048320a  + 73920a )b
---R               + 
---R                           8           6          4        2  3
---R                 (- 774144a  + 1612800a  - 243840a  + 1920a )b
---R               + 
---R                         9           7          5        3  2
---R                 (221184a  - 1548288a  + 418560a  - 9216a )b
---R               + 
---R                       8          6         4            9          7         5
---R               (903168a  - 384000a  + 16128a )b - 258048a  + 153600a  - 10752a
---R            *
---R                2
---R               c
---R           + 
---R                       11        2 10          3          9
---R                 432a b   - 6048a b   + (36288a  - 2520a)b
---R               + 
---R                           4         2  8           5          3          7
---R                 (- 120960a  + 29232a )b  + (241920a  - 145152a  + 3840a)b
---R               + 
---R                           6          4         2  6
---R                 (- 290304a  + 403200a  - 35520a )b
---R               + 
---R                         7          5          3          5
---R                 (193536a  - 685440a  + 139200a  - 1152a)b
---R               + 
---R                          8          6          4        2  4
---R                 (- 55296a  + 725760a  - 301440a  + 7680a )b
---R               + 
---R                           7          5         3  3
---R                 (- 451584a  + 393600a  - 21504a )b
---R               + 
---R                         8          6         4  2           7         5
---R                 (129024a  - 318720a  + 32256a )b  + (161280a  - 26880a )b
---R               + 
---R                         8         6
---R                 - 46080a  + 10752a
---R            *
---R               c
---R           + 
---R                  13         12           2        11          3          10
---R             - 36b   + 504a b   + (- 3024a  + 252)b   + (10080a  - 3024a)b
---R           + 
---R                      4         2        9          5         3          8
---R             (- 20160a  + 15624a  - 480)b  + (24192a  - 45360a  + 4800a)b
---R           + 
---R                      6         4         2        7
---R             (- 16128a  + 80640a  - 20640a  + 192)b
---R           + 
---R                   7         5         3          6
---R             (4608a  - 88704a  + 49920a  - 1536a)b
---R           + 
---R                    6         4        2  5            7         5         3  4
---R             (56448a  - 74400a  + 5376a )b  + (- 16128a  + 70080a  - 10752a )b
---R           + 
---R                      6         4  3          7         5  2        6         7
---R             (- 40320a  + 13440a )b  + (11520a  - 10752a )b  + 5376a b - 1536a
---R        /
---R              10 3      9 2 2      8 4     7 6
---R           64a  c  - 48a b c  + 12a b c - a b
---R      *
---R          2
---R         ?
---R     + 
---R                     3 8        4 7          5        3  6
---R                 576a b  - 9216a b  + (64512a  - 2688a )b
---R               + 
---R                           6         4  5           7          5        3  4
---R                 (- 258048a  + 32256a )b  + (645120a  - 161280a  + 2880a )b
---R               + 
---R                            8          6         4  3
---R                 (- 1032192a  + 430080a  - 23040a )b
---R               + 
---R                          9          7         5       3  2
---R                 (1032192a  - 645120a  + 69120a  - 768a )b
---R               + 
---R                           10          8         6        4            11
---R                 (- 589824a   + 516096a  - 92160a  + 3072a )b + 147456a
---R               + 
---R                          9         7        5
---R                 - 172032a  + 46080a  - 3072a
---R            *
---R                3
---R               c
---R           + 
---R                       2 10        3 9            4        2  8
---R                 - 432a b   + 6912a b  + (- 48384a  + 2688a )b
---R               + 
---R                         5         3  7             6          4        2  6
---R                 (193536a  - 34944a )b  + (- 483840a  + 196224a  - 4560a )b
---R               + 
---R                         7          5         3  5
---R                 (774144a  - 623616a  + 46080a )b
---R               + 
---R                           8           6          4        2  4
---R                 (- 774144a  + 1236480a  - 195840a  + 1920a )b
---R               + 
---R                         9           7          5         3  3
---R                 (442368a  - 1591296a  + 453120a  - 13056a )b
---R               + 
---R                           10           8          6         4       2  2
---R                 (- 110592a   + 1333248a  - 610560a  + 34560a  - 256a )b
---R               + 
---R                           9          7         5        3            10
---R                 (- 688128a  + 460800a  - 43008a  + 1024a )b + 172032a
---R               + 
---R                          8         6        4
---R                 - 153600a  + 21504a  - 1024a
---R            *
---R                2
---R               c
---R           + 
---R                       12        2 11          3         10
---R                 108a b   - 1728a b   + (12096a  - 840a)b
---R               + 
---R                          4         2  9           5         3          8
---R                 (- 48384a  + 11424a )b  + (120960a  - 67872a  + 1920a)b
---R               + 
---R                           6          4         2  7
---R                 (- 193536a  + 231168a  - 21600a )b
---R               + 
---R                         7          5          3          6
---R                 (193536a  - 497280a  + 105120a  - 1152a)b
---R               + 
---R                           8          6          4        2  5
---R                 (- 110592a  + 698880a  - 289920a  + 9984a )b
---R               + 
---R                        9          7          5         3  4
---R                 (27648a  - 634368a  + 498240a  - 36864a )b
---R               + 
---R                         8          6         4       2  3
---R                 (344064a  - 552960a  + 75264a  + 512a )b
---R               + 
---R                          9          7         5        3  2
---R                 (- 86016a  + 399360a  - 91392a  - 2560a )b
---R               + 
---R                           8         6        4           9         7        5
---R                 (- 184320a  + 64512a  + 4096a )b + 46080a  - 21504a  - 2048a
---R            *
---R               c
---R           + 
---R                 14         13           2       12         3          11
---R             - 9b   + 144a b   + (- 1008a  + 84)b   + (4032a  - 1176a)b
---R           + 
---R                      4        2        10          5         3          9
---R             (- 10080a  + 7224a  - 240)b   + (16128a  - 25536a  + 2880a)b
---R           + 
---R                      6         4         2        8
---R             (- 16128a  + 57120a  - 15120a  + 192)b
---R           + 
---R                   7         5         3          7
---R             (9216a  - 83328a  + 45600a  - 1920a)b
---R           + 
---R                     8         6         4        2  6
---R             (- 2304a  + 77952a  - 87120a  + 8448a )b
---R           + 
---R                      7          5         3  5
---R             (- 43008a  + 109440a  - 21504a )b
---R           + 
---R                    8         6         4       2  4
---R             (10752a  - 90240a  + 34944a  - 256a )b
---R           + 
---R                    7         5        3  3            8         6        4  2
---R             (46080a  - 37632a  + 1536a )b  + (- 11520a  + 26880a  - 3328a )b
---R           + 
---R                      7        5          8        6
---R             (- 12288a  + 3072a )b + 3072a  - 1024a
---R        /
---R              11 3      10 2 2      9 4     8 6
---R           64a  c  - 48a  b c  + 12a b c - a b
---R      *
---R         ?
---R     + 
---R                  3 9        4 8         5       3  7            6        4  6
---R               64a b  - 1152a b  + (9216a  - 384a )b  + (- 43008a  + 5376a )b
---R             + 
---R                       7         5       3  5
---R               (129024a  - 32256a  + 576a )b
---R             + 
---R                         8          6        4  4
---R               (- 258048a  + 107520a  - 5760a )b
---R             + 
---R                       9          7         5       3  3
---R               (344064a  - 215040a  + 23040a  - 256a )b
---R             + 
---R                         10          8         6        4  2
---R               (- 294912a   + 258048a  - 46080a  + 1536a )b
---R             + 
---R                       11          9         7        5           12         10
---R               (147456a   - 172032a  + 46080a  - 3072a )b - 32768a   + 49152a
---R             + 
---R                       8        6
---R               - 18432a  + 2048a
---R          *
---R              3
---R             c
---R         + 
---R                    2 11       3 10           4       2  9
---R               - 48a b   + 864a b   + (- 6912a  + 384a )b
---R             + 
---R                      5        3  8            6         4       2  7
---R               (32256a  - 5760a )b  + (- 96768a  + 38016a  - 912a )b
---R             + 
---R                       7          5         3  6
---R               (193536a  - 145152a  + 11040a )b
---R             + 
---R                         8          6         4       2  5
---R               (- 258048a  + 354816a  - 57600a  + 640a )b
---R             + 
---R                       9          7          5        3  4
---R               (221184a  - 580608a  + 168960a  - 5632a )b
---R             + 
---R                         10          8          6         4       2  3
---R               (- 110592a   + 645120a  - 303360a  + 20224a  - 256a )b
---R             + 
---R                      11          9          7         5        3  2
---R               (24576a   - 479232a  + 336384a  - 37376a  + 1536a )b
---R             + 
---R                       10          8         6        4           11         9
---R               (221184a   - 215040a  + 35840a  - 3072a )b - 49152a   + 61440a
---R             + 
---R                       7        5
---R               - 14336a  + 2048a
---R          *
---R              2
---R             c
---R         + 
---R                    13       2 12         3         11           4        2  10
---R               12a b   - 216a b   + (1728a  - 120a)b   + (- 8064a  + 1872a )b
---R             + 
---R                      5         3         9            6         4        2  8
---R               (24192a  - 12960a  + 384a)b  + (- 48384a  + 52416a  - 5088a )b
---R             + 
---R                      7          5         3         7
---R               (64512a  - 137088a  + 29664a  - 384a)b
---R             + 
---R                        8          6          4        2  6
---R               (- 55296a  + 241920a  - 100032a  + 4096a )b
---R             + 
---R                      9          7          5         3  5
---R               (27648a  - 290304a  + 215616a  - 18944a )b
---R             + 
---R                       10          8          6         4       2  4
---R               (- 6144a   + 230400a  - 309888a  + 49664a  + 512a )b
---R             + 
---R                         9          7         5        3  3
---R               (- 110592a  + 301056a  - 80640a  - 3584a )b
---R             + 
---R                      10          8         6        4  2
---R               (24576a   - 196608a  + 82432a  + 9216a )b
---R             + 
---R                      9         7         5           10         8        6
---R               (82944a  - 50176a  - 10240a )b - 18432a   + 14336a  + 4096a
---R          *
---R             c
---R         + 
---R              15        14          2       13        3         12
---R           - b   + 18a b   + (- 144a  + 12)b   + (672a  - 192a)b
---R         + 
---R                   4        2       11         5        3         10
---R           (- 2016a  + 1368a  - 48)b   + (4032a  - 5712a  + 672a)b
---R         + 
---R                   6         4        2       9
---R           (- 5376a  + 15456a  - 4176a  + 64)b
---R         + 
---R                 7         5         3         8
---R           (4608a  - 28224a  + 15168a  - 768a)b
---R         + 
---R                   8         6         4        2  7
---R           (- 2304a  + 34944a  - 35664a  + 4096a )b
---R         + 
---R                9         7         5         3  6
---R           (512a  - 28416a  + 56736a  - 12800a )b
---R         + 
---R                  8         6         4       2  5
---R           (13824a  - 61824a  + 25984a  - 256a )b
---R         + 
---R                   9         7         5        3  4
---R           (- 3072a  + 45312a  - 35840a  + 2048a )b
---R         + 
---R                    8         6        4  3         9         7        5  2
---R           (- 20736a  + 34048a  - 6400a )b  + (4608a  - 22016a  + 9728a )b
---R         + 
---R                 8        6          9        7
---R           (9216a  - 7168a )b - 2048a  + 2048a
---R      /
---R            12 3      11 2 2      10 4     9 6
---R         64a  c  - 48a  b c  + 12a  b c - a b
---R     , trying square-free.
---R
---R   (85)
---R     - y(x) + x
---R  /
---R       (2y(x) + 2x)
---R    *
---R         %e
---R      **
---R             2
---R          *
---R             log
---R                                                 +-----------+
---R                       2 2                    2  |          2       2        2
---R                    (2a x  + 2a b x - 2a c + b )\|- 4a c + b   + (8a c - 2a b )x
---R                  + 
---R                              3
---R                    4a b c - b
---R               /
---R                     2
---R                  a x  + b x + c
---R        /
---R            +-----------+
---R            |          2
---R           \|- 4a c + b
---R                                          Type: Union(Expression Integer,...)
 --E 85
 
 --S 86 of 139
diff --git a/src/input/richlog300-391.input.pamphlet b/src/input/richlog300-391.input.pamphlet
index 477d994..521cca0 100644
--- a/src/input/richlog300-391.input.pamphlet
+++ b/src/input/richlog300-391.input.pamphlet
@@ -1252,7 +1252,8 @@ t0323:= cosh(a+b*log(c*x^n))^(3/2)/x
 --E 116
 
 --S 117 of 460
-r0323:= -2/3/b/n*(%i*EllipticF(1/2*%i*(a+b*log(c*x^n)),2)-cosh(a+b*log(c*x^n))^(1/2)*sinh(a+b*log(c*x^n)))
+r0323:= -2/3/b/n*(%i*EllipticF(1/2*%i*(a+b*log(c*x^n)),2)-_
+         cosh(a+b*log(c*x^n))^(1/2)*sinh(a+b*log(c*x^n)))
 --R 
 --R   There are no library operations named EllipticF 
 --R      Use HyperDoc Browse or issue
@@ -2194,28 +2195,33 @@ r0341:= -1/2*(x/(1+x))^(1/2)*(1+x)+1/2*atanh((x/(1+x))^(1/2))+_
 --S 208 of 460
 a0341:= integrate(t0341,x)
 --R 
---R 
---R   >> Error detected within library code:
---R   failed - cannot handle that integrand
---R
---R   Continuing to read the file...
 --R
+--R   (97)
+--R                 +-+ +-----+     2               +-----+    +-+
+--R       ((4x + 2)\|x \|x + 1  - 4x  - 4x - 1)log(\|x + 1  + \|x )
+--R     + 
+--R                +-+ +-----+     2
+--R       (2x + 1)\|x \|x + 1  - 2x  - 2x
+--R  /
+--R       +-+ +-----+
+--R     4\|x \|x + 1  - 4x - 2
+--R                                          Type: Union(Expression Integer,...)
 --E 208
 
---S 209 of 460
---m0341:= a0341-r0341
+--S 209 of 460 random value, ok to fail
+m0341:= a0341-r0341
 --E 209
 
---S 210 of 460
---d0341:= D(m0341,x)
+--S 210 of 460 random value, ok to fail
+d0341:= D(m0341,x)
 --E 210
 
 --S 211 of 460
 t0342:= log(abs(a^2-x^2))
 --R 
 --R
---R                  2    2
---R   (97)  log(abs(x  - a ))
+--R                   2    2
+--R   (100)  log(abs(x  - a ))
 --R                                                     Type: Expression Integer
 --E 211
 
@@ -2223,11 +2229,11 @@ t0342:= log(abs(a^2-x^2))
 r0342:= -2*x+2*a*atanh(x/a)+1/2*x*log((a^2-x^2)^2)
 --R 
 --R
---R                4     2 2    4             x
---R         x log(x  - 2a x  + a ) + 4a atanh(-) - 4x
---R                                           a
---R   (98)  -----------------------------------------
---R                             2
+--R                 4     2 2    4             x
+--R          x log(x  - 2a x  + a ) + 4a atanh(-) - 4x
+--R                                            a
+--R   (101)  -----------------------------------------
+--R                              2
 --R                                                     Type: Expression Integer
 --E 212
 
@@ -2235,8 +2241,8 @@ r0342:= -2*x+2*a*atanh(x/a)+1/2*x*log((a^2-x^2)^2)
 a0342:= integrate(t0342,x)
 --R 
 --R
---R                    2    2
---R   (99)  x log(abs(x  - a )) + a log(x + a) - a log(x - a) - 2x
+--R                     2    2
+--R   (102)  x log(abs(x  - a )) + a log(x + a) - a log(x - a) - 2x
 --R                                          Type: Union(Expression Integer,...)
 --E 213
 
@@ -2244,7 +2250,7 @@ a0342:= integrate(t0342,x)
 m0342:= a0342-r0342
 --R 
 --R
---R   (100)
+--R   (103)
 --R                   2    2            4     2 2    4
 --R       2x log(abs(x  - a )) - x log(x  - 2a x  + a ) + 2a log(x + a)
 --R     + 
@@ -2262,7 +2268,7 @@ d0342:= D(m0342,x)
 --R
 --R                    2    2          4     2 2    4
 --R          2log(abs(x  - a )) - log(x  - 2a x  + a )
---R   (101)  -----------------------------------------
+--R   (104)  -----------------------------------------
 --R                              2
 --R                                                     Type: Expression Integer
 --E 215
@@ -2272,7 +2278,7 @@ t0343:= log((-11+5*x)/(5+76*x))
 --R 
 --R
 --R              5x - 11
---R   (102)  log(-------)
+--R   (105)  log(-------)
 --R              76x + 5
 --R                                                     Type: Expression Integer
 --E 216
@@ -2284,7 +2290,7 @@ r0343:= -11/5*log(11-5*x)+x*log((-11+5*x)/(5+76*x))-5/76*log(5+76*x)
 --R                                      5x - 11
 --R          - 25log(76x + 5) + 380x log(-------) - 836log(- 5x + 11)
 --R                                      76x + 5
---R   (103)  --------------------------------------------------------
+--R   (106)  --------------------------------------------------------
 --R                                     380
 --R                                                     Type: Expression Integer
 --E 217
@@ -2296,7 +2302,7 @@ a0343:= integrate(t0343,x)
 --R                                                        5x - 11
 --R          - 25log(76x + 5) - 836log(5x - 11) + 380x log(-------)
 --R                                                        76x + 5
---R   (104)  ------------------------------------------------------
+--R   (107)  ------------------------------------------------------
 --R                                    380
 --R                                          Type: Union(Expression Integer,...)
 --E 218
@@ -2306,7 +2312,7 @@ m0343:= a0343-r0343
 --R 
 --R
 --R          - 11log(5x - 11) + 11log(- 5x + 11)
---R   (105)  -----------------------------------
+--R   (108)  -----------------------------------
 --R                           5
 --R                                                     Type: Expression Integer
 --E 219
@@ -2315,7 +2321,7 @@ m0343:= a0343-r0343
 d0343:= D(m0343,x)
 --R 
 --R
---R   (106)  0
+--R   (109)  0
 --R                                                     Type: Expression Integer
 --E 220
 
@@ -2326,7 +2332,7 @@ t0344:= log((1+x)/(-1+x))/x^2
 --R              x + 1
 --R          log(-----)
 --R              x - 1
---R   (107)  ----------
+--R   (110)  ----------
 --R               2
 --R              x
 --R                                                     Type: Expression Integer
@@ -2339,7 +2345,7 @@ r0344:= 2*log(x)-log(-(1+x)/(1-x))/x-log(1-x^2)
 --R                          x + 1             2
 --R          2x log(x) - log(-----) - x log(- x  + 1)
 --R                          x - 1
---R   (108)  ----------------------------------------
+--R   (111)  ----------------------------------------
 --R                              x
 --R                                                     Type: Expression Integer
 --E 222
@@ -2351,7 +2357,7 @@ a0344:= integrate(t0344,x)
 --R                   2                        x + 1
 --R          - x log(x  - 1) + 2x log(x) - log(-----)
 --R                                            x - 1
---R   (109)  ----------------------------------------
+--R   (112)  ----------------------------------------
 --R                              x
 --R                                          Type: Union(Expression Integer,...)
 --E 223
@@ -2361,7 +2367,7 @@ m0344:= a0344-r0344
 --R 
 --R
 --R                 2               2
---R   (110)  - log(x  - 1) + log(- x  + 1)
+--R   (113)  - log(x  - 1) + log(- x  + 1)
 --R                                                     Type: Expression Integer
 --E 224
 
@@ -2369,7 +2375,7 @@ m0344:= a0344-r0344
 d0344:= D(m0344,x)
 --R 
 --R
---R   (111)  0
+--R   (114)  0
 --R                                                     Type: Expression Integer
 --E 225
 
@@ -2378,7 +2384,7 @@ t0345:= x*log((1+x)/x^2)
 --R 
 --R
 --R                x + 1
---R   (112)  x log(-----)
+--R   (115)  x log(-----)
 --R                   2
 --R                  x
 --R                                                     Type: Expression Integer
@@ -2392,7 +2398,7 @@ r0345:= 1/2*x+1/4*x^2-1/2*log(1+x)+1/2*x^2*log((1+x)/x^2)
 --R          - 2log(x + 1) + 2x log(-----) + x  + 2x
 --R                                    2
 --R                                   x
---R   (113)  ---------------------------------------
+--R   (116)  ---------------------------------------
 --R                             4
 --R                                                     Type: Expression Integer
 --E 227
@@ -2405,7 +2411,7 @@ a0345:= integrate(t0345,x)
 --R          - 2log(x + 1) + 2x log(-----) + x  + 2x
 --R                                    2
 --R                                   x
---R   (114)  ---------------------------------------
+--R   (117)  ---------------------------------------
 --R                             4
 --R                                          Type: Union(Expression Integer,...)
 --E 228
@@ -2414,7 +2420,7 @@ a0345:= integrate(t0345,x)
 m0345:= a0345-r0345
 --R 
 --R
---R   (115)  0
+--R   (118)  0
 --R                                                     Type: Expression Integer
 --E 229
 
@@ -2422,7 +2428,7 @@ m0345:= a0345-r0345
 d0345:= D(m0345,x)
 --R 
 --R
---R   (116)  0
+--R   (119)  0
 --R                                                     Type: Expression Integer
 --E 230
 
@@ -2431,7 +2437,7 @@ t0346:= (a+b*x)^n*log(a+b*x)
 --R 
 --R
 --R                               n
---R   (117)  log(b x + a)(b x + a)
+--R   (120)  log(b x + a)(b x + a)
 --R                                                     Type: Expression Integer
 --E 231
 
@@ -2441,7 +2447,7 @@ r0346:= 1/b/(1+n)^2*(a+b*x)^(1+n)*(-1+log(a+b*x)+n*log(a+b*x))
 --R
 --R                                            n + 1
 --R          ((n + 1)log(b x + a) - 1)(b x + a)
---R   (118)  ---------------------------------------
+--R   (121)  ---------------------------------------
 --R                         2
 --R                      b n  + 2b n + b
 --R                                                     Type: Expression Integer
@@ -2453,7 +2459,7 @@ a0346:= integrate(t0346,x)
 --R
 --R                                                          n log(b x + a)
 --R          (((b n + b)x + a n + a)log(b x + a) - b x - a)%e
---R   (119)  --------------------------------------------------------------
+--R   (122)  --------------------------------------------------------------
 --R                                     2
 --R                                  b n  + 2b n + b
 --R                                          Type: Union(Expression Integer,...)
@@ -2463,7 +2469,7 @@ a0346:= integrate(t0346,x)
 m0346:= a0346-r0346
 --R 
 --R
---R   (120)
+--R   (123)
 --R                                                       n log(b x + a)
 --R       (((b n + b)x + a n + a)log(b x + a) - b x - a)%e
 --R     + 
@@ -2479,7 +2485,7 @@ m0346:= a0346-r0346
 d0346:= D(m0346,x)
 --R 
 --R
---R   (121)
+--R   (124)
 --R                                           n log(b x + a)            n + 1
 --R       ((b n + b)x + a n + a)log(b x + a)%e               - (b x + a)
 --R     + 
@@ -2497,7 +2503,7 @@ t0347:= log((a+b*x)/(c+d*x))/x
 --R              b x + a
 --R          log(-------)
 --R              d x + c
---R   (122)  ------------
+--R   (125)  ------------
 --R                x
 --R                                                     Type: Expression Integer
 --E 236
@@ -2529,7 +2535,7 @@ a0347:= integrate(t0347,x)
 --R                   %R b + a
 --R             x log(--------)
 --R           ++      %R d + c
---R   (123)   |   ------------- d%R
+--R   (126)   |   ------------- d%R
 --R          ++         %R
 --R                                          Type: Union(Expression Integer,...)
 --E 238
@@ -2549,7 +2555,7 @@ t0348:= log((a+b*x)/(c+d*x))^2/x
 --R              b x + a 2
 --R          log(-------)
 --R              d x + c
---R   (124)  -------------
+--R   (127)  -------------
 --R                x
 --R                                                     Type: Expression Integer
 --E 241
@@ -2583,7 +2589,7 @@ a0348:= integrate(t0348,x)
 --R                   %R b + a 2
 --R             x log(--------)
 --R           ++      %R d + c
---R   (125)   |   -------------- d%R
+--R   (128)   |   -------------- d%R
 --R          ++         %R
 --R                                          Type: Union(Expression Integer,...)
 --E 243
@@ -2601,7 +2607,7 @@ t0349:= log(a*log(b*x^n)^p)
 --R 
 --R
 --R                       n p
---R   (126)  log(a log(b x ) )
+--R   (129)  log(a log(b x ) )
 --R                                                     Type: Expression Integer
 --E 246
 
@@ -2614,7 +2620,7 @@ r0349:= -p*x*Ei(1/n*log(b*x^n))/((b*x^n)^(1/n))+x*log(a*log(b*x^n)^p)
 --R                n n             n p           log(b x )
 --R          x (b x ) log(a log(b x ) ) - p x Ei(---------)
 --R                                                  n
---R   (127)  ----------------------------------------------
+--R   (130)  ----------------------------------------------
 --R                                    1
 --R                                    -
 --R                                  n n
@@ -2628,7 +2634,7 @@ a0349:= integrate(t0349,x)
 --R
 --R             x
 --R           ++                n p
---R   (128)   |   log(a log(b %R ) )d%R
+--R   (131)   |   log(a log(b %R ) )d%R
 --R          ++
 --R                                          Type: Union(Expression Integer,...)
 --E 248
@@ -2646,7 +2652,7 @@ t0350:= x^m*log(a*log(b*x)^p)
 --R 
 --R
 --R           m              p
---R   (129)  x log(a log(b x) )
+--R   (132)  x log(a log(b x) )
 --R                                                     Type: Expression Integer
 --E 251
 
@@ -2657,7 +2663,7 @@ r0350:= -1/b/(1+m)*(p*x^m*(b*x)^(-m)*Ei((1+m)*log(b*x))-_
 --R
 --R             m + 1              p       m     - m
 --R          b x     log(a log(b x) ) - p x (b x)   Ei((m + 1)log(b x))
---R   (130)  ----------------------------------------------------------
+--R   (133)  ----------------------------------------------------------
 --R                                    b m + b
 --R                                                     Type: Expression Integer
 --E 252
@@ -2668,7 +2674,7 @@ a0350:= integrate(t0350,x)
 --R
 --R             x
 --R           ++    m               p
---R   (131)   |   %R log(a log(%R b) )d%R
+--R   (134)   |   %R log(a log(%R b) )d%R
 --R          ++
 --R                                          Type: Union(Expression Integer,...)
 --E 253
@@ -2686,7 +2692,7 @@ t0351:= x^m*log(a*log(b*x^n)^p)
 --R 
 --R
 --R           m             n p
---R   (132)  x log(a log(b x ) )
+--R   (135)  x log(a log(b x ) )
 --R                                                     Type: Expression Integer
 --E 256
 
@@ -2700,7 +2706,7 @@ r0351:= 1/(1+m)*x^(1+m)*(-p*Ei((1+m)/n*log(b*x^n))*(b*x^n)^(-(1+m)/n)+_
 --R           m + 1             n p       m + 1    n    n      (m + 1)log(b x )
 --R          x     log(a log(b x ) ) - p x     (b x )       Ei(----------------)
 --R                                                                    n
---R   (133)  -------------------------------------------------------------------
+--R   (136)  -------------------------------------------------------------------
 --R                                         m + 1
 --R                                                     Type: Expression Integer
 --E 257
@@ -2711,7 +2717,7 @@ a0351:= integrate(t0351,x)
 --R
 --R             x
 --R           ++    m              n p
---R   (134)   |   %R log(a log(b %R ) )d%R
+--R   (137)   |   %R log(a log(b %R ) )d%R
 --R          ++
 --R                                          Type: Union(Expression Integer,...)
 --E 258
@@ -2729,7 +2735,7 @@ t0352:= log(x)/(a+b*log(x))^(1/2)
 --R 
 --R
 --R               log(x)
---R   (135)  ---------------
+--R   (138)  ---------------
 --R           +------------+
 --R          \|b log(x) + a
 --R                                                     Type: Expression Integer
@@ -2777,7 +2783,7 @@ t0353:= log(x)/(a-b*log(x))^(1/2)
 --R 
 --R
 --R                log(x)
---R   (136)  -----------------
+--R   (139)  -----------------
 --R           +--------------+
 --R          \|- b log(x) + a
 --R                                                     Type: Expression Integer
@@ -2794,7 +2800,7 @@ r0353:= -1/2*(2*a-b)*exp(1)^(a/b)*%pi^(1/2)*erf((a-b*log(x))^(1/2)/_
 --R          (b - 2a)%e \|%pi erf(-----------------) - 2x\|b \|- b log(x) + a
 --R                                       +-+
 --R                                      \|b
---R   (137)  -----------------------------------------------------------------
+--R   (140)  -----------------------------------------------------------------
 --R                                           +-+
 --R                                        2b\|b
 --R                                                     Type: Expression Integer
@@ -2824,7 +2830,7 @@ t0354:= (A+B*log(x))/(a+b*log(x))^(1/2)
 --R 
 --R
 --R            B log(x) + A
---R   (138)  ---------------
+--R   (141)  ---------------
 --R           +------------+
 --R          \|b log(x) + a
 --R                                                     Type: Expression Integer
@@ -2872,7 +2878,7 @@ t0355:= (A+B*log(x))/(a-b*log(x))^(1/2)
 --R 
 --R
 --R             B log(x) + A
---R   (139)  -----------------
+--R   (142)  -----------------
 --R           +--------------+
 --R          \|- b log(x) + a
 --R                                                     Type: Expression Integer
@@ -2883,7 +2889,7 @@ r0355:= -1/2*(2*A*b+(2*a-b)*B)*exp(1)^(a/b)*%pi^(1/2)*_
         erf((a-b*log(x))^(1/2)/b^(1/2))/b^(3/2)-B*x*(a-b*log(x))^(1/2)/b
 --R 
 --R
---R   (140)
+--R   (143)
 --R                       a
 --R                       -           +--------------+
 --R                       b +---+    \|- b log(x) + a          +-+ +--------------+
@@ -2919,7 +2925,7 @@ a0355:= integrate(t0355,x)
 t0356:= log(x)*sin(a+b*x)
 --R 
 --R
---R   (141)  log(x)sin(b x + a)
+--R   (144)  log(x)sin(b x + a)
 --R                                                     Type: Expression Integer
 --E 281
 
@@ -2928,7 +2934,7 @@ r0356:= (cos(a)*Ci(b*x)-log(x)*cos(a+b*x)-sin(a)*Si(b*x))/b
 --R 
 --R
 --R          - Si(b x)sin(a) - cos(b x + a)log(x) + Ci(b x)cos(a)
---R   (142)  ----------------------------------------------------
+--R   (145)  ----------------------------------------------------
 --R                                    b
 --R                                                     Type: Expression Integer
 --E 282
@@ -2939,7 +2945,7 @@ a0356:= integrate(t0356,x)
 --R
 --R             x
 --R           ++
---R   (143)   |   log(%R)sin(%R b + a)d%R
+--R   (146)   |   log(%R)sin(%R b + a)d%R
 --R          ++
 --R                                          Type: Union(Expression Integer,...)
 --E 283
@@ -2957,7 +2963,7 @@ t0357:= log(x)*sin(a+b*x)^2
 --R 
 --R
 --R                            2
---R   (144)  log(x)sin(b x + a)
+--R   (147)  log(x)sin(b x + a)
 --R                                                     Type: Expression Integer
 --E 286
 
@@ -2966,7 +2972,7 @@ r0357:= -1/4*(2*b*x-Ci(2*b*x)*sin(2*a)-2*log(x)*b*x+2*log(x)*cos(a+b*x)*_
         sin(a+b*x)-cos(2*a)*Si(2*b*x))/b
 --R 
 --R
---R   (145)
+--R   (148)
 --R       - 2cos(b x + a)log(x)sin(b x + a) + Ci(2b x)sin(2a) + 2b x log(x)
 --R     + 
 --R       Si(2b x)cos(2a) - 2b x
@@ -2981,7 +2987,7 @@ a0357:= integrate(t0357,x)
 --R
 --R             x
 --R           ++                      2
---R   (146)   |   log(%R)sin(%R b + a) d%R
+--R   (149)   |   log(%R)sin(%R b + a) d%R
 --R          ++
 --R                                          Type: Union(Expression Integer,...)
 --E 288
@@ -2999,7 +3005,7 @@ t0358:= log(x)*sin(a+b*x)^3
 --R 
 --R
 --R                            3
---R   (147)  log(x)sin(b x + a)
+--R   (150)  log(x)sin(b x + a)
 --R                                                     Type: Expression Integer
 --E 291
 
@@ -3008,7 +3014,7 @@ r0358:= 1/12*(9*cos(a)*Ci(b*x)-cos(3*a)*Ci(3*b*x)-12*log(x)*cos(a+b*x)+_
         4*log(x)*cos(a+b*x)^3-9*sin(a)*Si(b*x)+sin(3*a)*Si(3*b*x))/b
 --R 
 --R
---R   (148)
+--R   (151)
 --R       Si(3b x)sin(3a) - 9Si(b x)sin(a)
 --R     + 
 --R                   3
@@ -3024,7 +3030,7 @@ a0358:= integrate(t0358,x)
 --R
 --R             x
 --R           ++                      3
---R   (149)   |   log(%R)sin(%R b + a) d%R
+--R   (152)   |   log(%R)sin(%R b + a) d%R
 --R          ++
 --R                                          Type: Union(Expression Integer,...)
 --E 293
@@ -3041,7 +3047,7 @@ a0358:= integrate(t0358,x)
 t0359:= log(x)*cos(a+b*x)
 --R 
 --R
---R   (150)  cos(b x + a)log(x)
+--R   (153)  cos(b x + a)log(x)
 --R                                                     Type: Expression Integer
 --E 296
 
@@ -3050,7 +3056,7 @@ r0359:= -(Ci(b*x)*sin(a)-log(x)*sin(a+b*x)+cos(a)*Si(b*x))/b
 --R 
 --R
 --R          log(x)sin(b x + a) - Ci(b x)sin(a) - Si(b x)cos(a)
---R   (151)  --------------------------------------------------
+--R   (154)  --------------------------------------------------
 --R                                   b
 --R                                                     Type: Expression Integer
 --E 297
@@ -3061,7 +3067,7 @@ a0359:= integrate(t0359,x)
 --R
 --R             x
 --R           ++
---R   (152)   |   cos(%R b + a)log(%R)d%R
+--R   (155)   |   cos(%R b + a)log(%R)d%R
 --R          ++
 --R                                          Type: Union(Expression Integer,...)
 --E 298
@@ -3079,7 +3085,7 @@ t0360:= log(x)*cos(a+b*x)^2
 --R 
 --R
 --R                      2
---R   (153)  cos(b x + a) log(x)
+--R   (156)  cos(b x + a) log(x)
 --R                                                     Type: Expression Integer
 --E 301
 
@@ -3088,7 +3094,7 @@ r0360:= 1/4*(-2*b*x-Ci(2*b*x)*sin(2*a)+2*log(x)*b*x+2*log(x)*cos(a+b*x)*_
         sin(a+b*x)-cos(2*a)*Si(2*b*x))/b
 --R 
 --R
---R   (154)
+--R   (157)
 --R       2cos(b x + a)log(x)sin(b x + a) - Ci(2b x)sin(2a) + 2b x log(x)
 --R     + 
 --R       - Si(2b x)cos(2a) - 2b x
@@ -3103,7 +3109,7 @@ a0360:= integrate(t0360,x)
 --R
 --R             x
 --R           ++               2
---R   (155)   |   cos(%R b + a) log(%R)d%R
+--R   (158)   |   cos(%R b + a) log(%R)d%R
 --R          ++
 --R                                          Type: Union(Expression Integer,...)
 --E 303
@@ -3121,7 +3127,7 @@ t0361:= log(x)*cos(a+b*x)^3
 --R 
 --R
 --R                      3
---R   (156)  cos(b x + a) log(x)
+--R   (159)  cos(b x + a) log(x)
 --R                                                     Type: Expression Integer
 --E 306
 
@@ -3130,7 +3136,7 @@ r0361:= -1/12*(9*Ci(b*x)*sin(a)+Ci(3*b*x)*sin(3*a)-8*log(x)*sin(a+b*x)-_
         4*log(x)*sin(a+b*x)*cos(a+b*x)^2+9*cos(a)*Si(b*x)+cos(3*a)*Si(3*b*x))/b
 --R 
 --R
---R   (157)
+--R   (160)
 --R                     2
 --R       (4cos(b x + a)  + 8)log(x)sin(b x + a) - Ci(3b x)sin(3a) - 9Ci(b x)sin(a)
 --R     + 
@@ -3146,7 +3152,7 @@ a0361:= integrate(t0361,x)
 --R
 --R             x
 --R           ++               3
---R   (158)   |   cos(%R b + a) log(%R)d%R
+--R   (161)   |   cos(%R b + a) log(%R)d%R
 --R          ++
 --R                                          Type: Union(Expression Integer,...)
 --E 308
@@ -3163,7 +3169,7 @@ a0361:= integrate(t0361,x)
 t0362:= log(x)*sinh(a+b*x)
 --R 
 --R
---R   (159)  log(x)sinh(b x + a)
+--R   (162)  log(x)sinh(b x + a)
 --R                                                     Type: Expression Integer
 --E 311
 
@@ -3190,7 +3196,7 @@ a0362:= integrate(t0362,x)
 --R
 --R             x
 --R           ++
---R   (160)   |   log(%R)sinh(%R b + a)d%R
+--R   (163)   |   log(%R)sinh(%R b + a)d%R
 --R          ++
 --R                                          Type: Union(Expression Integer,...)
 --E 313
@@ -3208,7 +3214,7 @@ t0363:= log(x)*sinh(a+b*x)^3
 --R 
 --R
 --R                             3
---R   (161)  log(x)sinh(b x + a)
+--R   (164)  log(x)sinh(b x + a)
 --R                                                     Type: Expression Integer
 --E 316
 
@@ -3236,7 +3242,7 @@ a0363:= integrate(t0363,x)
 --R
 --R             x
 --R           ++                       3
---R   (162)   |   log(%R)sinh(%R b + a) d%R
+--R   (165)   |   log(%R)sinh(%R b + a) d%R
 --R          ++
 --R                                          Type: Union(Expression Integer,...)
 --E 318
@@ -3253,7 +3259,7 @@ a0363:= integrate(t0363,x)
 t0364:= log(x)*cosh(a+b*x)
 --R 
 --R
---R   (163)  cosh(b x + a)log(x)
+--R   (166)  cosh(b x + a)log(x)
 --R                                                     Type: Expression Integer
 --E 321
 
@@ -3280,7 +3286,7 @@ a0364:= integrate(t0364,x)
 --R
 --R             x
 --R           ++
---R   (164)   |   cosh(%R b + a)log(%R)d%R
+--R   (167)   |   cosh(%R b + a)log(%R)d%R
 --R          ++
 --R                                          Type: Union(Expression Integer,...)
 --E 323
@@ -3298,7 +3304,7 @@ t0365:= log(x)*cosh(a+b*x)^3
 --R 
 --R
 --R                       3
---R   (165)  cosh(b x + a) log(x)
+--R   (168)  cosh(b x + a) log(x)
 --R                                                     Type: Expression Integer
 --E 326
 
@@ -3327,7 +3333,7 @@ a0365:= integrate(t0365,x)
 --R
 --R             x
 --R           ++                3
---R   (166)   |   cosh(%R b + a) log(%R)d%R
+--R   (169)   |   cosh(%R b + a) log(%R)d%R
 --R          ++
 --R                                          Type: Union(Expression Integer,...)
 --E 328
@@ -3346,7 +3352,7 @@ t0366:= x*(4+x^2)^(1/2)*log(x)
 --R
 --R                   +------+
 --R                   | 2
---R   (167)  x log(x)\|x  + 4
+--R   (170)  x log(x)\|x  + 4
 --R                                                     Type: Expression Integer
 --E 331
 
@@ -3360,7 +3366,7 @@ r0366:= -4/3*(4+x^2)^(1/2)-1/9*(4+x^2)^(3/2)+8/3*atanh(1/2*(4+x^2)^(1/2))+_
 --R                  \|x  + 4         2                2       | 2
 --R          24atanh(---------) + ((3x  + 12)log(x) - x  - 16)\|x  + 4
 --R                      2
---R   (168)  ----------------------------------------------------------
+--R   (171)  ----------------------------------------------------------
 --R                                       9
 --R                                                     Type: Expression Integer
 --E 332
@@ -3369,7 +3375,7 @@ r0366:= -4/3*(4+x^2)^(1/2)-1/9*(4+x^2)^(3/2)+8/3*atanh(1/2*(4+x^2)^(1/2))+_
 a0366:= integrate(t0366,x)
 --R 
 --R
---R   (169)
+--R   (172)
 --R                    +------+                   +------+
 --R            2       | 2           3            | 2
 --R       ((24x  + 24)\|x  + 4  - 24x  - 72x)log(\|x  + 4  - x + 2)
@@ -3395,7 +3401,7 @@ a0366:= integrate(t0366,x)
 m0366:= a0366-r0366
 --R 
 --R
---R   (170)
+--R   (173)
 --R                                                               +------+
 --R         +------+                  +------+                    | 2
 --R         | 2                       | 2                        \|x  + 4
@@ -3410,7 +3416,7 @@ m0366:= a0366-r0366
 d0366:= D(m0366,x)
 --R 
 --R
---R   (171)  0
+--R   (174)  0
 --R                                                     Type: Expression Integer
 --E 335
 
@@ -3419,7 +3425,7 @@ t0367:= x*log(x)/(-1+x^2)^(1/2)
 --R 
 --R
 --R           x log(x)
---R   (172)  ---------
+--R   (175)  ---------
 --R           +------+
 --R           | 2
 --R          \|x  - 1
@@ -3432,7 +3438,7 @@ r0367:= -(-1+x^2)^(1/2)+atan((-1+x^2)^(1/2))+(-1+x^2)^(1/2)*log(x)
 --R
 --R                +------+                 +------+
 --R                | 2                      | 2
---R   (173)  atan(\|x  - 1 ) + (log(x) - 1)\|x  - 1
+--R   (176)  atan(\|x  - 1 ) + (log(x) - 1)\|x  - 1
 --R                                                     Type: Expression Integer
 --E 337
 
@@ -3440,7 +3446,7 @@ r0367:= -(-1+x^2)^(1/2)+atan((-1+x^2)^(1/2))+(-1+x^2)^(1/2)*log(x)
 a0367:= integrate(t0367,x)
 --R 
 --R
---R   (174)
+--R   (177)
 --R          +------+            +------+                         +------+
 --R          | 2                 | 2                              | 2
 --R       (2\|x  - 1  - 2x)atan(\|x  - 1  - x) + (- x log(x) + x)\|x  - 1
@@ -3460,7 +3466,7 @@ m0367:= a0367-r0367
 --R
 --R                  +------+           +------+
 --R                  | 2                | 2
---R   (175)  - atan(\|x  - 1 ) + 2atan(\|x  - 1  - x)
+--R   (178)  - atan(\|x  - 1 ) + 2atan(\|x  - 1  - x)
 --R                                                     Type: Expression Integer
 --E 339
 
@@ -3468,7 +3474,7 @@ m0367:= a0367-r0367
 d0367:= D(m0367,x)
 --R 
 --R
---R   (176)  0
+--R   (179)  0
 --R                                                     Type: Expression Integer
 --E 340
 
@@ -3476,7 +3482,7 @@ d0367:= D(m0367,x)
 t0368:= log(cos(x))*tan(x)
 --R 
 --R
---R   (177)  tan(x)log(cos(x))
+--R   (180)  tan(x)log(cos(x))
 --R                                                     Type: Expression Integer
 --E 341
 
@@ -3486,7 +3492,7 @@ r0368:= -1/2*log(cos(x))^2
 --R
 --R                       2
 --R            log(cos(x))
---R   (178)  - ------------
+--R   (181)  - ------------
 --R                  2
 --R                                                     Type: Expression Integer
 --E 342
@@ -3497,7 +3503,7 @@ a0368:= integrate(t0368,x)
 --R
 --R                       2
 --R            log(cos(x))
---R   (179)  - ------------
+--R   (182)  - ------------
 --R                  2
 --R                                          Type: Union(Expression Integer,...)
 --E 343
@@ -3506,7 +3512,7 @@ a0368:= integrate(t0368,x)
 m0368:= a0368-r0368
 --R 
 --R
---R   (180)  0
+--R   (183)  0
 --R                                                     Type: Expression Integer
 --E 344
 
@@ -3514,7 +3520,7 @@ m0368:= a0368-r0368
 d0368:= D(m0368,x)
 --R 
 --R
---R   (181)  0
+--R   (184)  0
 --R                                                     Type: Expression Integer
 --E 345
 
@@ -3522,7 +3528,7 @@ d0368:= D(m0368,x)
 t0369:= cos(x)*log(cos(x))
 --R 
 --R
---R   (182)  cos(x)log(cos(x))
+--R   (185)  cos(x)log(cos(x))
 --R                                                     Type: Expression Integer
 --E 346
 
@@ -3530,7 +3536,7 @@ t0369:= cos(x)*log(cos(x))
 r0369:= atanh(sin(x))-sin(x)+log(cos(x))*sin(x)
 --R 
 --R
---R   (183)  sin(x)log(cos(x)) + atanh(sin(x)) - sin(x)
+--R   (186)  sin(x)log(cos(x)) + atanh(sin(x)) - sin(x)
 --R                                                     Type: Expression Integer
 --E 347
 
@@ -3539,7 +3545,7 @@ a0369:= integrate(t0369,x)
 --R 
 --R
 --R          log(sin(x) + 1) - log(sin(x) - 1) + 2sin(x)log(cos(x)) - 2sin(x)
---R   (184)  ----------------------------------------------------------------
+--R   (187)  ----------------------------------------------------------------
 --R                                          2
 --R                                          Type: Union(Expression Integer,...)
 --E 348
@@ -3549,7 +3555,7 @@ m0369:= a0369-r0369
 --R 
 --R
 --R          log(sin(x) + 1) - log(sin(x) - 1) - 2atanh(sin(x))
---R   (185)  --------------------------------------------------
+--R   (188)  --------------------------------------------------
 --R                                   2
 --R                                                     Type: Expression Integer
 --E 349
@@ -3558,7 +3564,7 @@ m0369:= a0369-r0369
 d0369:= D(m0369,x)
 --R 
 --R
---R   (186)  0
+--R   (189)  0
 --R                                                     Type: Expression Integer
 --E 350
 
@@ -3567,7 +3573,7 @@ t0370:= log(sin(x))*sin(x)^2
 --R 
 --R
 --R                2
---R   (187)  sin(x) log(sin(x))
+--R   (190)  sin(x) log(sin(x))
 --R                                                     Type: Expression Integer
 --E 351
 
@@ -3597,7 +3603,7 @@ a0370:= integrate(t0370,x)
 --R
 --R             x
 --R           ++         2
---R   (188)   |   sin(%R) log(sin(%R))d%R
+--R   (191)   |   sin(%R) log(sin(%R))d%R
 --R          ++
 --R                                          Type: Union(Expression Integer,...)
 --E 353
@@ -3615,7 +3621,7 @@ t0371:= log(sin(x))*sin(x)^3
 --R 
 --R
 --R                3
---R   (189)  sin(x) log(sin(x))
+--R   (192)  sin(x) log(sin(x))
 --R                                                     Type: Expression Integer
 --E 356
 
@@ -3626,7 +3632,7 @@ r0371:= -2/3*atanh(cos(x))+2/3*cos(x)-1/9*cos(x)^3-_
 --R
 --R                  3                                                3
 --R          (3cos(x)  - 9cos(x))log(sin(x)) - 6atanh(cos(x)) - cos(x)  + 6cos(x)
---R   (190)  --------------------------------------------------------------------
+--R   (193)  --------------------------------------------------------------------
 --R                                            9
 --R                                                     Type: Expression Integer
 --E 357
@@ -3635,7 +3641,7 @@ r0371:= -2/3*atanh(cos(x))+2/3*cos(x)-1/9*cos(x)^3-_
 a0371:= integrate(t0371,x)
 --R 
 --R
---R   (191)
+--R   (194)
 --R               3
 --R       (3cos(x)  - 9cos(x))log(sin(x)) - 3log(cos(x) + 1) + 3log(cos(x) - 1)
 --R     + 
@@ -3659,7 +3665,7 @@ t0372:= log(sin(x^(1/2)))
 --R 
 --R
 --R                   +-+
---R   (192)  log(sin(\|x ))
+--R   (195)  log(sin(\|x ))
 --R                                                     Type: Expression Integer
 --E 361
 
@@ -3689,7 +3695,7 @@ a0372:= integrate(t0372,x)
 --R
 --R             x
 --R           ++           +--+
---R   (193)   |   log(sin(\|%R ))d%R
+--R   (196)   |   log(sin(\|%R ))d%R
 --R          ++
 --R                                          Type: Union(Expression Integer,...)
 --E 363
@@ -3707,7 +3713,7 @@ t0373:= log(sin(x))*csc(x)^2
 --R 
 --R
 --R                2
---R   (194)  csc(x) log(sin(x))
+--R   (197)  csc(x) log(sin(x))
 --R                                                     Type: Expression Integer
 --E 366
 
@@ -3715,7 +3721,7 @@ t0373:= log(sin(x))*csc(x)^2
 r0373:= -x-cot(x)-cot(x)*log(sin(x))
 --R 
 --R
---R   (195)  - cot(x)log(sin(x)) - cot(x) - x
+--R   (198)  - cot(x)log(sin(x)) - cot(x) - x
 --R                                                     Type: Expression Integer
 --E 367
 
@@ -3725,7 +3731,7 @@ a0373:= integrate(t0373,x)
 --R
 --R                                                           2
 --R          cos(x)sin(x)log(sin(x)) + cos(x)sin(x) - x cos(x)  + x
---R   (196)  ------------------------------------------------------
+--R   (199)  ------------------------------------------------------
 --R                                      2
 --R                                cos(x)  - 1
 --R                                          Type: Union(Expression Integer,...)
@@ -3735,7 +3741,7 @@ a0373:= integrate(t0373,x)
 m0373:= a0373-r0373
 --R 
 --R
---R   (197)
+--R   (200)
 --R                              2
 --R       (cos(x)sin(x) + (cos(x)  - 1)cot(x))log(sin(x)) + cos(x)sin(x)
 --R     + 
@@ -3751,7 +3757,7 @@ m0373:= a0373-r0373
 d0373:= D(m0373,x)
 --R 
 --R
---R   (198)
+--R   (201)
 --R                  2           3
 --R           (cos(x)  + 1)sin(x)
 --R         + 
@@ -3779,7 +3785,7 @@ t0374:= x*log(x)/(a+b*x+c*x^2)
 --R 
 --R
 --R             x log(x)
---R   (199)  --------------
+--R   (202)  --------------
 --R             2
 --R          c x  + b x + a
 --R                                                     Type: Expression Integer
@@ -3816,7 +3822,7 @@ a0374:= integrate(t0374,x)
 --R
 --R             x
 --R           ++     %R log(%R)
---R   (200)   |   --------------- d%R
+--R   (203)   |   --------------- d%R
 --R          ++     2
 --R               %R c + %R b + a
 --R                                          Type: Union(Expression Integer,...)
@@ -3836,7 +3842,7 @@ t0375:= x^2*log(x)/(a+b*x+c*x^2)
 --R
 --R              2
 --R             x log(x)
---R   (201)  --------------
+--R   (204)  --------------
 --R             2
 --R          c x  + b x + a
 --R                                                     Type: Expression Integer
@@ -3874,7 +3880,7 @@ a0375:= integrate(t0375,x)
 --R
 --R             x      2
 --R           ++     %R log(%R)
---R   (202)   |   --------------- d%R
+--R   (205)   |   --------------- d%R
 --R          ++     2
 --R               %R c + %R b + a
 --R                                          Type: Union(Expression Integer,...)
@@ -3893,7 +3899,7 @@ t0376:= log(x)/x^2/(a+b*x+c*x^2)
 --R 
 --R
 --R                log(x)
---R   (203)  ------------------
+--R   (206)  ------------------
 --R             4      3      2
 --R          c x  + b x  + a x
 --R                                                     Type: Expression Integer
@@ -3936,7 +3942,7 @@ a0376:= integrate(t0376,x)
 --R
 --R             x
 --R           ++        log(%R)
---R   (204)   |   ------------------ d%R
+--R   (207)   |   ------------------ d%R
 --R          ++     4      3      2
 --R               %R c + %R b + %R a
 --R                                          Type: Union(Expression Integer,...)
@@ -3956,7 +3962,7 @@ t0377:= (2-log(x))*(3+log(x))^2/x
 --R
 --R                  3          2
 --R          - log(x)  - 4log(x)  + 3log(x) + 18
---R   (205)  -----------------------------------
+--R   (208)  -----------------------------------
 --R                           x
 --R                                                     Type: Expression Integer
 --E 386
@@ -3967,7 +3973,7 @@ r0377:= -1/12*(3+log(x))^3*(-11+3*log(x))
 --R
 --R                   4           3           2
 --R          - 3log(x)  - 16log(x)  + 18log(x)  + 216log(x) + 297
---R   (206)  ----------------------------------------------------
+--R   (209)  ----------------------------------------------------
 --R                                   12
 --R                                                     Type: Expression Integer
 --E 387
@@ -3978,7 +3984,7 @@ a0377:= integrate(t0377,x)
 --R
 --R                   4           3           2
 --R          - 3log(x)  - 16log(x)  + 18log(x)  + 216log(x)
---R   (207)  ----------------------------------------------
+--R   (210)  ----------------------------------------------
 --R                                12
 --R                                          Type: Union(Expression Integer,...)
 --E 388
@@ -3988,7 +3994,7 @@ m0377:= a0377-r0377
 --R 
 --R
 --R            99
---R   (208)  - --
+--R   (211)  - --
 --R             4
 --R                                                     Type: Expression Integer
 --E 389
@@ -3997,7 +4003,7 @@ m0377:= a0377-r0377
 d0377:= D(m0377,x)
 --R 
 --R
---R   (209)  0
+--R   (212)  0
 --R                                                     Type: Expression Integer
 --E 390
 
@@ -4007,7 +4013,7 @@ t0378:= (1+log(x))^(1/2)/x/log(x)
 --R
 --R           +----------+
 --R          \|log(x) + 1
---R   (210)  -------------
+--R   (213)  -------------
 --R             x log(x)
 --R                                                     Type: Expression Integer
 --E 391
@@ -4017,7 +4023,7 @@ r0378:= -2*atanh((1+log(x))^(1/2))+2*(1+log(x))^(1/2)
 --R 
 --R
 --R                    +----------+      +----------+
---R   (211)  - 2atanh(\|log(x) + 1 ) + 2\|log(x) + 1
+--R   (214)  - 2atanh(\|log(x) + 1 ) + 2\|log(x) + 1
 --R                                                     Type: Expression Integer
 --E 392
 
@@ -4026,7 +4032,7 @@ a0378:= integrate(t0378,x)
 --R 
 --R
 --R                 +----------+             +----------+          +----------+
---R   (212)  - log(\|log(x) + 1  + 1) + log(\|log(x) + 1  - 1) + 2\|log(x) + 1
+--R   (215)  - log(\|log(x) + 1  + 1) + log(\|log(x) + 1  - 1) + 2\|log(x) + 1
 --R                                          Type: Union(Expression Integer,...)
 --E 393
 
@@ -4034,7 +4040,7 @@ a0378:= integrate(t0378,x)
 m0378:= a0378-r0378
 --R 
 --R
---R   (213)
+--R   (216)
 --R          +----------+             +----------+                +----------+
 --R   - log(\|log(x) + 1  + 1) + log(\|log(x) + 1  - 1) + 2atanh(\|log(x) + 1 )
 --R                                                     Type: Expression Integer
@@ -4044,7 +4050,7 @@ m0378:= a0378-r0378
 d0378:= D(m0378,x)
 --R 
 --R
---R   (214)  0
+--R   (217)  0
 --R                                                     Type: Expression Integer
 --E 395
 
@@ -4054,7 +4060,7 @@ t0379:= (log(a*x^n)^2)^p/x
 --R
 --R                 n 2p
 --R          log(a x )
---R   (215)  -----------
+--R   (218)  -----------
 --R               x
 --R                                                     Type: Expression Integer
 --E 396
@@ -4065,7 +4071,7 @@ r0379:= log(a*x^n)*(log(a*x^n)^2)^p/n/(1+2*p)
 --R
 --R                 n        n 2p
 --R          log(a x )log(a x )
---R   (216)  --------------------
+--R   (219)  --------------------
 --R                2n p + n
 --R                                                     Type: Expression Integer
 --E 397
@@ -4076,7 +4082,7 @@ a0379:= integrate(t0379,x)
 --R
 --R                               2p log(n log(x) + log(a))
 --R          (n log(x) + log(a))%e
---R   (217)  ----------------------------------------------
+--R   (220)  ----------------------------------------------
 --R                             2n p + n
 --R                                          Type: Union(Expression Integer,...)
 --E 398
@@ -4085,7 +4091,7 @@ a0379:= integrate(t0379,x)
 m0379:= a0379-r0379
 --R 
 --R
---R   (218)
+--R   (221)
 --R            n        n 2p                        2p log(n log(x) + log(a))
 --R   - log(a x )log(a x )   + (n log(x) + log(a))%e
 --R   -----------------------------------------------------------------------
@@ -4097,7 +4103,7 @@ m0379:= a0379-r0379
 d0379:= D(m0379,x)
 --R 
 --R
---R   (219)
+--R   (222)
 --R            n - 1       n 2p         n - 1       n        n 2p - 1
 --R       - x x     log(a x )   - 2p x x     log(a x )log(a x )
 --R     + 
@@ -4115,7 +4121,7 @@ t0380:= (log(a*x^n)^m)^p/x
 --R
 --R                 n m p
 --R          log(a x )
---R   (220)  ------------
+--R   (223)  ------------
 --R                x
 --R                                                     Type: Expression Integer
 --E 401
@@ -4126,7 +4132,7 @@ r0380:= log(a*x^n)*(log(a*x^n)^m)^p/n/(1+m*p)
 --R
 --R                 n        n m p
 --R          log(a x )log(a x )
---R   (221)  ---------------------
+--R   (224)  ---------------------
 --R                m n p + n
 --R                                                     Type: Expression Integer
 --E 402
@@ -4137,7 +4143,7 @@ a0380:= integrate(t0380,x)
 --R
 --R                               m p log(n log(x) + log(a))
 --R          (n log(x) + log(a))%e
---R   (222)  -----------------------------------------------
+--R   (225)  -----------------------------------------------
 --R                             m n p + n
 --R                                          Type: Union(Expression Integer,...)
 --E 403
@@ -4146,7 +4152,7 @@ a0380:= integrate(t0380,x)
 m0380:= a0380-r0380
 --R 
 --R
---R   (223)
+--R   (226)
 --R            n        n m p                        m p log(n log(x) + log(a))
 --R   - log(a x )log(a x )    + (n log(x) + log(a))%e
 --R   -------------------------------------------------------------------------
@@ -4158,7 +4164,7 @@ m0380:= a0380-r0380
 d0380:= D(m0380,x)
 --R 
 --R
---R   (224)
+--R   (227)
 --R            n - 1       n m p          n - 1       n        n m p - 1
 --R       - x x     log(a x )    - m p x x     log(a x )log(a x )
 --R     + 
@@ -4177,7 +4183,7 @@ t0381:= (log(a*x^n)^2)^(1/2)/x
 --R           +----------+
 --R           |       n 2
 --R          \|log(a x )
---R   (225)  -------------
+--R   (228)  -------------
 --R                x
 --R                                                     Type: Expression Integer
 --E 406
@@ -4205,7 +4211,7 @@ a0381:= integrate(t0381,x)
 --R
 --R                  2
 --R          n log(x)  + 2log(a)log(x)
---R   (226)  -------------------------
+--R   (229)  -------------------------
 --R                      2
 --R                                          Type: Union(Expression Integer,...)
 --E 408
@@ -4216,7 +4222,7 @@ m0381:= a0381-r0381
 --R
 --R                  2
 --R          n log(x)  + 2log(a)log(x) - 2r0381
---R   (227)  ----------------------------------
+--R   (230)  ----------------------------------
 --R                           2
 --R                                                     Type: Expression Integer
 --E 409
@@ -4226,7 +4232,7 @@ d0381:= D(m0381,x)
 --R 
 --R
 --R          n log(x) + log(a)
---R   (228)  -----------------
+--R   (231)  -----------------
 --R                  x
 --R                                                     Type: Expression Integer
 --E 410
@@ -4237,7 +4243,7 @@ t0382:= (b*log(a*x^n)^m)^p/x
 --R
 --R                    n m p
 --R          (b log(a x ) )
---R   (229)  ---------------
+--R   (232)  ---------------
 --R                 x
 --R                                                     Type: Expression Integer
 --E 411
@@ -4248,7 +4254,7 @@ r0382:= log(a*x^n)*(b*log(a*x^n)^m)^p/n/(1+m*p)
 --R
 --R                 n           n m p
 --R          log(a x )(b log(a x ) )
---R   (230)  ------------------------
+--R   (233)  ------------------------
 --R                  m n p + n
 --R                                                     Type: Expression Integer
 --E 412
@@ -4259,7 +4265,7 @@ a0382:= integrate(t0382,x)
 --R
 --R                               m p log(n log(x) + log(a)) + p log(b)
 --R          (n log(x) + log(a))%e
---R   (231)  ----------------------------------------------------------
+--R   (234)  ----------------------------------------------------------
 --R                                   m n p + n
 --R                                          Type: Union(Expression Integer,...)
 --E 413
@@ -4268,7 +4274,7 @@ a0382:= integrate(t0382,x)
 m0382:= a0382-r0382
 --R 
 --R
---R   (232)
+--R   (235)
 --R                n           n m p
 --R       - log(a x )(b log(a x ) )
 --R     + 
@@ -4283,7 +4289,7 @@ m0382:= a0382-r0382
 d0382:= D(m0382,x)
 --R 
 --R
---R   (233)
+--R   (236)
 --R            n - 1          n m p
 --R       - x x     (b log(a x ) )
 --R     + 
@@ -4303,7 +4309,7 @@ t0383:= 1/(-log(a*x^2))^(1/2)
 --R 
 --R
 --R                 1
---R   (234)  --------------
+--R   (237)  --------------
 --R           +-----------+
 --R           |         2
 --R          \|- log(a x )
@@ -4320,7 +4326,7 @@ r0383:= -1/2*2^(1/2)*%pi^(1/2)*x*erf(1/2*(-log(a*x^2))^(1/2)*2^(1/2))/_
 --R              +-+ +---+    \|2 \|- log(a x )
 --R            x\|2 \|%pi erf(------------------)
 --R                                    2
---R   (235)  - ----------------------------------
+--R   (238)  - ----------------------------------
 --R                           +----+
 --R                           |   2
 --R                         2\|a x
@@ -4351,7 +4357,7 @@ t0384:= 1/(-log(a/x^2))^(1/2)
 --R 
 --R
 --R                1
---R   (236)  ------------
+--R   (239)  ------------
 --R           +---------+
 --R           |       a
 --R           |- log(--)
@@ -4402,7 +4408,7 @@ t0385:= 1/(-log(a*x^n))^(1/2)
 --R 
 --R
 --R                 1
---R   (237)  --------------
+--R   (240)  --------------
 --R           +-----------+
 --R           |         n
 --R          \|- log(a x )
@@ -4419,7 +4425,7 @@ r0385:= -%pi^(1/2)*x*erf((-log(a*x^n))^(1/2)/n^(1/2))/n^(1/2)/((a*x^n)^(1/n))
 --R            x\|%pi erf(--------------)
 --R                             +-+
 --R                            \|n
---R   (238)  - --------------------------
+--R   (241)  - --------------------------
 --R                              1
 --R                              -
 --R                     +-+    n n
@@ -4452,7 +4458,7 @@ t0386:= log(x^n)/(a+b*x)
 --R
 --R               n
 --R          log(x )
---R   (239)  -------
+--R   (242)  -------
 --R          b x + a
 --R                                                     Type: Expression Integer
 --E 431
@@ -4481,7 +4487,7 @@ a0386:= integrate(t0386,x)
 --R
 --R             x       n
 --R           ++  log(%R )
---R   (240)   |   -------- d%R
+--R   (243)   |   -------- d%R
 --R          ++   %R b + a
 --R                                          Type: Union(Expression Integer,...)
 --E 433
@@ -4498,7 +4504,7 @@ a0386:= integrate(t0386,x)
 t0387:= sin(x*log(x))+log(x)*sin(x*log(x))
 --R 
 --R
---R   (241)  (log(x) + 1)sin(x log(x))
+--R   (244)  (log(x) + 1)sin(x log(x))
 --R                                                     Type: Expression Integer
 --E 436
 
@@ -4506,7 +4512,7 @@ t0387:= sin(x*log(x))+log(x)*sin(x*log(x))
 r0387:= -cos(x*log(x))
 --R 
 --R
---R   (242)  - cos(x log(x))
+--R   (245)  - cos(x log(x))
 --R                                                     Type: Expression Integer
 --E 437
 
@@ -4514,7 +4520,7 @@ r0387:= -cos(x*log(x))
 a0387:= integrate(t0387,x)
 --R 
 --R
---R   (243)  - cos(x log(x))
+--R   (246)  - cos(x log(x))
 --R                                          Type: Union(Expression Integer,...)
 --E 438
 
@@ -4522,7 +4528,7 @@ a0387:= integrate(t0387,x)
 m0387:= a0387-r0387
 --R 
 --R
---R   (244)  0
+--R   (247)  0
 --R                                                     Type: Expression Integer
 --E 439
 
@@ -4530,7 +4536,7 @@ m0387:= a0387-r0387
 d0387:= D(m0387,x)
 --R 
 --R
---R   (245)  0
+--R   (248)  0
 --R                                                     Type: Expression Integer
 --E 440
 
@@ -4543,7 +4549,7 @@ t0388:= log((1-x^2)/(1+x^2))/(1+x)^2
 --R          log(--------)
 --R                2
 --R               x  + 1
---R   (246)  -------------
+--R   (249)  -------------
 --R            2
 --R           x  + 2x + 1
 --R                                                     Type: Expression Integer
@@ -4554,7 +4560,7 @@ r0388:= -1/(1+x)-atan(x)+1/2*log(1-x)+1/2*log(1+x)-_
         log((1-x^2)/(1+x^2))/(1+x)-1/2*log(1+x^2)
 --R 
 --R
---R   (247)
+--R   (250)
 --R                                                          2
 --R                     2                                 - x  + 1
 --R       (- x - 1)log(x  + 1) + (x + 1)log(x + 1) - 2log(--------)
@@ -4571,7 +4577,7 @@ r0388:= -1/(1+x)-atan(x)+1/2*log(1-x)+1/2*log(1+x)-_
 a0388:= integrate(t0388,x)
 --R 
 --R
---R   (248)
+--R   (251)
 --R                                                           2
 --R                     2                    2             - x  + 1
 --R       (- x - 1)log(x  + 1) + (x + 1)log(x  - 1) - 2log(--------)
@@ -4590,7 +4596,7 @@ m0388:= a0388-r0388
 --R
 --R               2
 --R          log(x  - 1) - log(x + 1) - log(- x + 1)
---R   (249)  ---------------------------------------
+--R   (252)  ---------------------------------------
 --R                             2
 --R                                                     Type: Expression Integer
 --E 444
@@ -4599,7 +4605,7 @@ m0388:= a0388-r0388
 d0388:= D(m0388,x)
 --R 
 --R
---R   (250)  0
+--R   (253)  0
 --R                                                     Type: Expression Integer
 --E 445
 
@@ -4608,7 +4614,7 @@ t0389:= log((-1+x)/(1+x))
 --R 
 --R
 --R              x - 1
---R   (251)  log(-----)
+--R   (254)  log(-----)
 --R              x + 1
 --R                                                     Type: Expression Integer
 --E 446
@@ -4618,7 +4624,7 @@ r0389:= x*log((-1+x)/(1+x))-log(-(-1+x)*(1+x))
 --R 
 --R
 --R                x - 1           2
---R   (252)  x log(-----) - log(- x  + 1)
+--R   (255)  x log(-----) - log(- x  + 1)
 --R                x + 1
 --R                                                     Type: Expression Integer
 --E 447
@@ -4628,7 +4634,7 @@ a0389:= integrate(t0389,x)
 --R 
 --R
 --R                 2              x - 1
---R   (253)  - log(x  - 1) + x log(-----)
+--R   (256)  - log(x  - 1) + x log(-----)
 --R                                x + 1
 --R                                          Type: Union(Expression Integer,...)
 --E 448
@@ -4638,7 +4644,7 @@ m0389:= a0389-r0389
 --R 
 --R
 --R                 2               2
---R   (254)  - log(x  - 1) + log(- x  + 1)
+--R   (257)  - log(x  - 1) + log(- x  + 1)
 --R                                                     Type: Expression Integer
 --E 449
 
@@ -4646,7 +4652,7 @@ m0389:= a0389-r0389
 d0389:= D(m0389,x)
 --R 
 --R
---R   (255)  0
+--R   (258)  0
 --R                                                     Type: Expression Integer
 --E 450
 
@@ -4655,7 +4661,7 @@ t0390:= log(x)/(-1+x)
 --R 
 --R
 --R          log(x)
---R   (256)  ------
+--R   (259)  ------
 --R           x - 1
 --R                                                     Type: Expression Integer
 --E 451
@@ -4682,7 +4688,7 @@ r0390:= -polylog(2,1-x)
 a0390:= integrate(t0390,x)
 --R 
 --R
---R   (257)  - dilog(x)
+--R   (260)  - dilog(x)
 --R                                          Type: Union(Expression Integer,...)
 --E 453
 
@@ -4699,7 +4705,7 @@ t0391:= x*log(1-a-b*x)/(a+b*x)
 --R 
 --R
 --R          x log(- b x - a + 1)
---R   (258)  --------------------
+--R   (261)  --------------------
 --R                 b x + a
 --R                                                     Type: Expression Integer
 --E 456
@@ -4728,7 +4734,7 @@ a0391:= integrate(t0391,x)
 --R
 --R             x
 --R           ++  %R log(- %R b - a + 1)
---R   (259)   |   ---------------------- d%R
+--R   (262)   |   ---------------------- d%R
 --R          ++          %R b + a
 --R                                          Type: Union(Expression Integer,...)
 --E 458
@@ -4742,6 +4748,7 @@ a0391:= integrate(t0391,x)
 --E 460
 
 )spool
+)lisp (bye)
 \end{chunk}
 \eject
 \begin{thebibliography}{99}
diff --git a/src/input/richtrig800-899.input.pamphlet b/src/input/richtrig800-899.input.pamphlet
index 1adf663..fb30c3f 100644
--- a/src/input/richtrig800-899.input.pamphlet
+++ b/src/input/richtrig800-899.input.pamphlet
@@ -36602,409 +36602,19 @@ r0866:= -2^(1/2)*(1-b/(b^2-4*a*c)^(1/2))*atanh(1/2*(b-2*c-(b^2-4*a*c)^(1/2))*tan
 --S 359 of 526
 a0866:= integrate(t0866,x)
 --R 
+--R 
+--R   >> Error detected within library code:
+--R   Table construction failed in MLIFT
+--R
+--R   Continuing to read the file...
 --R
---R   (341)
---R       -
---R            ROOT
---R                             3        2      2  2           2     3       4
---R                         8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c + 2b
---R                       + 
---R                             2 2
---R                         - 2a b
---R                  *
---R                     ROOT
---R                        -
---R                              2
---R                             b
---R                          /
---R                                   5       2      2  4           2      3  3
---R                               4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
---R                             + 
---R                                  4      2 2      4  2        4      3 2     5
---R                               (2b  - 22a b  + 16a )c  + (8a b  - 12a b  + 4a )c
---R                             + 
---R                                  6     2 4    4 2
---R                               - b  + 2a b  - a b
---R                 + 
---R                            2     2
---R                   4a c - 2b  + 4a
---R              /
---R                     3       2     2  2          2     3      4    2 2
---R                 4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
---R         *
---R            log
---R                                         2  3       3       2     2       3  2
---R                               (4a b + 8a )c  + (- b  - 2a b  + 8a b + 16a )c
---R                             + 
---R                                      3      2 2     3      4      5       4
---R                               (- 6a b  - 12a b  + 4a b + 8a )c + b  + 2a b
---R                             + 
---R                                  2 3     3 2
---R                               - a b  - 2a b
---R                          *
---R                             cos(x)
---R                         + 
---R                                     2  3       3       2     2       3  2
---R                           (4a b + 8a )c  + (- b  - 2a b  + 8a b + 16a )c
---R                         + 
---R                                  3      2 2     3      4      5       4    2 3
---R                           (- 6a b  - 12a b  + 4a b + 8a )c + b  + 2a b  - a b
---R                         + 
---R                               3 2
---R                           - 2a b
---R                      *
---R                         ROOT
---R                            -
---R                                  2
---R                                 b
---R                              /
---R                                       5       2      2  4           2      3  3
---R                                   4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
---R                                 + 
---R                                      4      2 2      4  2
---R                                   (2b  - 22a b  + 16a )c
---R                                 + 
---R                                        4      3 2     5      6     2 4    4 2
---R                                   (8a b  - 12a b  + 4a )c - b  + 2a b  - a b
---R                     + 
---R                                    3                    3
---R                       (- 4a b c + b )cos(x) - 4a b c + b
---R                  *
---R                     ROOT
---R                                    3        2      2  2           2     3
---R                                8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c
---R                              + 
---R                                  4     2 2
---R                                2b  - 2a b
---R                           *
---R                              ROOT
---R                                 -
---R                                       2
---R                                      b
---R                                   /
---R                                            5       2      2  4
---R                                        4a c  + (- b  + 16a )c
---R                                      + 
---R                                                2      3  3
---R                                        (- 12a b  + 24a )c
---R                                      + 
---R                                           4      2 2      4  2
---R                                        (2b  - 22a b  + 16a )c
---R                                      + 
---R                                             4      3 2     5      6     2 4
---R                                        (8a b  - 12a b  + 4a )c - b  + 2a b
---R                                      + 
---R                                           4 2
---R                                        - a b
---R                          + 
---R                                     2     2
---R                            4a c - 2b  + 4a
---R                       /
---R                              3       2     2  2          2     3      4    2 2
---R                          4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
---R                 + 
---R                   4a b sin(x)
---R              /
---R                 cos(x) + 1
---R     + 
---R         ROOT
---R                         3      2      2  2         2     3       4     2 2
---R                  (- 8a c  + (2b  - 16a )c  + (12a b  - 8a )c - 2b  + 2a b )
---R               *
---R                  ROOT
---R                     -
---R                           2
---R                          b
---R                       /
---R                                5       2      2  4           2      3  3
---R                            4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
---R                          + 
---R                               4      2 2      4  2        4      3 2     5
---R                            (2b  - 22a b  + 16a )c  + (8a b  - 12a b  + 4a )c
---R                          + 
---R                               6     2 4    4 2
---R                            - b  + 2a b  - a b
---R              + 
---R                         2     2
---R                4a c - 2b  + 4a
---R           /
---R                  3       2     2  2          2     3      4    2 2
---R              4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
---R      *
---R         log
---R                                      2  3       3       2     2       3  2
---R                            (4a b + 8a )c  + (- b  - 2a b  + 8a b + 16a )c
---R                          + 
---R                                   3      2 2     3      4      5       4    2 3
---R                            (- 6a b  - 12a b  + 4a b + 8a )c + b  + 2a b  - a b
---R                          + 
---R                                3 2
---R                            - 2a b
---R                       *
---R                          cos(x)
---R                      + 
---R                                  2  3       3       2     2       3  2
---R                        (4a b + 8a )c  + (- b  - 2a b  + 8a b + 16a )c
---R                      + 
---R                               3      2 2     3      4      5       4    2 3
---R                        (- 6a b  - 12a b  + 4a b + 8a )c + b  + 2a b  - a b
---R                      + 
---R                            3 2
---R                        - 2a b
---R                   *
---R                      ROOT
---R                         -
---R                               2
---R                              b
---R                           /
---R                                    5       2      2  4           2      3  3
---R                                4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
---R                              + 
---R                                   4      2 2      4  2
---R                                (2b  - 22a b  + 16a )c
---R                              + 
---R                                     4      3 2     5      6     2 4    4 2
---R                                (8a b  - 12a b  + 4a )c - b  + 2a b  - a b
---R                  + 
---R                               3                    3
---R                    (4a b c - b )cos(x) + 4a b c - b
---R               *
---R                  ROOT
---R                                   3      2      2  2         2     3       4
---R                             - 8a c  + (2b  - 16a )c  + (12a b  - 8a )c - 2b
---R                           + 
---R                               2 2
---R                             2a b
---R                        *
---R                           ROOT
---R                              -
---R                                    2
---R                                   b
---R                                /
---R                                         5       2      2  4
---R                                     4a c  + (- b  + 16a )c
---R                                   + 
---R                                             2      3  3
---R                                     (- 12a b  + 24a )c
---R                                   + 
---R                                        4      2 2      4  2
---R                                     (2b  - 22a b  + 16a )c
---R                                   + 
---R                                        4      3 2     5      6     2 4    4 2
---R                                   (8a b  - 12a b  + 4a )c - b  + 2a b  - a b
---R                       + 
---R                                  2     2
---R                         4a c - 2b  + 4a
---R                    /
---R                           3       2     2  2          2     3      4    2 2
---R                       4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
---R              + 
---R                4a b sin(x)
---R           /
---R              cos(x) + 1
---R     + 
---R       -
---R            ROOT
---R                            3      2      2  2         2     3       4     2 2
---R                     (- 8a c  + (2b  - 16a )c  + (12a b  - 8a )c - 2b  + 2a b )
---R                  *
---R                     ROOT
---R                        -
---R                              2
---R                             b
---R                          /
---R                                   5       2      2  4           2      3  3
---R                               4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
---R                             + 
---R                                  4      2 2      4  2        4      3 2     5
---R                               (2b  - 22a b  + 16a )c  + (8a b  - 12a b  + 4a )c
---R                             + 
---R                                  6     2 4    4 2
---R                               - b  + 2a b  - a b
---R                 + 
---R                            2     2
---R                   4a c - 2b  + 4a
---R              /
---R                     3       2     2  2          2     3      4    2 2
---R                 4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
---R         *
---R            log
---R                                           2  3     3       2     2       3  2
---R                               (- 4a b - 8a )c  + (b  + 2a b  - 8a b - 16a )c
---R                             + 
---R                                    3      2 2     3      4      5       4
---R                               (6a b  + 12a b  - 4a b - 8a )c - b  - 2a b
---R                             + 
---R                                2 3     3 2
---R                               a b  + 2a b
---R                          *
---R                             cos(x)
---R                         + 
---R                                       2  3     3       2     2       3  2
---R                           (- 4a b - 8a )c  + (b  + 2a b  - 8a b - 16a )c
---R                         + 
---R                                3      2 2     3      4      5       4    2 3
---R                           (6a b  + 12a b  - 4a b - 8a )c - b  - 2a b  + a b
---R                         + 
---R                             3 2
---R                           2a b
---R                      *
---R                         ROOT
---R                            -
---R                                  2
---R                                 b
---R                              /
---R                                       5       2      2  4           2      3  3
---R                                   4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
---R                                 + 
---R                                      4      2 2      4  2
---R                                   (2b  - 22a b  + 16a )c
---R                                 + 
---R                                        4      3 2     5      6     2 4    4 2
---R                                   (8a b  - 12a b  + 4a )c - b  + 2a b  - a b
---R                     + 
---R                                    3                    3
---R                       (- 4a b c + b )cos(x) - 4a b c + b
---R                  *
---R                     ROOT
---R                                      3      2      2  2         2     3       4
---R                                - 8a c  + (2b  - 16a )c  + (12a b  - 8a )c - 2b
---R                              + 
---R                                  2 2
---R                                2a b
---R                           *
---R                              ROOT
---R                                 -
---R                                       2
---R                                      b
---R                                   /
---R                                            5       2      2  4
---R                                        4a c  + (- b  + 16a )c
---R                                      + 
---R                                                2      3  3
---R                                        (- 12a b  + 24a )c
---R                                      + 
---R                                           4      2 2      4  2
---R                                        (2b  - 22a b  + 16a )c
---R                                      + 
---R                                             4      3 2     5      6     2 4
---R                                        (8a b  - 12a b  + 4a )c - b  + 2a b
---R                                      + 
---R                                           4 2
---R                                        - a b
---R                          + 
---R                                     2     2
---R                            4a c - 2b  + 4a
---R                       /
---R                              3       2     2  2          2     3      4    2 2
---R                          4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
---R                 + 
---R                   4a b sin(x)
---R              /
---R                 cos(x) + 1
---R     + 
---R         ROOT
---R                       3        2      2  2           2     3       4     2 2
---R                  (8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c + 2b  - 2a b )
---R               *
---R                  ROOT
---R                     -
---R                           2
---R                          b
---R                       /
---R                                5       2      2  4           2      3  3
---R                            4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
---R                          + 
---R                               4      2 2      4  2        4      3 2     5
---R                            (2b  - 22a b  + 16a )c  + (8a b  - 12a b  + 4a )c
---R                          + 
---R                               6     2 4    4 2
---R                            - b  + 2a b  - a b
---R              + 
---R                         2     2
---R                4a c - 2b  + 4a
---R           /
---R                  3       2     2  2          2     3      4    2 2
---R              4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
---R      *
---R         log
---R                                        2  3     3       2     2       3  2
---R                            (- 4a b - 8a )c  + (b  + 2a b  - 8a b - 16a )c
---R                          + 
---R                                 3      2 2     3      4      5       4    2 3
---R                            (6a b  + 12a b  - 4a b - 8a )c - b  - 2a b  + a b
---R                          + 
---R                              3 2
---R                            2a b
---R                       *
---R                          cos(x)
---R                      + 
---R                                    2  3     3       2     2       3  2
---R                        (- 4a b - 8a )c  + (b  + 2a b  - 8a b - 16a )c
---R                      + 
---R                           3      2 2     3      4      5       4    2 3     3 2
---R                      (6a b  + 12a b  - 4a b - 8a )c - b  - 2a b  + a b  + 2a b
---R                   *
---R                      ROOT
---R                         -
---R                               2
---R                              b
---R                           /
---R                                    5       2      2  4           2      3  3
---R                                4a c  + (- b  + 16a )c  + (- 12a b  + 24a )c
---R                              + 
---R                                   4      2 2      4  2
---R                                (2b  - 22a b  + 16a )c
---R                              + 
---R                                     4      3 2     5      6     2 4    4 2
---R                                (8a b  - 12a b  + 4a )c - b  + 2a b  - a b
---R                  + 
---R                               3                    3
---R                    (4a b c - b )cos(x) + 4a b c - b
---R               *
---R                  ROOT
---R                                 3        2      2  2           2     3       4
---R                             8a c  + (- 2b  + 16a )c  + (- 12a b  + 8a )c + 2b
---R                           + 
---R                                 2 2
---R                             - 2a b
---R                        *
---R                           ROOT
---R                              -
---R                                    2
---R                                   b
---R                                /
---R                                         5       2      2  4
---R                                     4a c  + (- b  + 16a )c
---R                                   + 
---R                                             2      3  3
---R                                     (- 12a b  + 24a )c
---R                                   + 
---R                                        4      2 2      4  2
---R                                     (2b  - 22a b  + 16a )c
---R                                   + 
---R                                        4      3 2     5      6     2 4    4 2
---R                                   (8a b  - 12a b  + 4a )c - b  + 2a b  - a b
---R                       + 
---R                                  2     2
---R                         4a c - 2b  + 4a
---R                    /
---R                           3       2     2  2          2     3      4    2 2
---R                       4a c  + (- b  + 8a )c  + (- 6a b  + 4a )c + b  - a b
---R              + 
---R                4a b sin(x)
---R           /
---R              cos(x) + 1
---R  /
---R     2
---R                                          Type: Union(Expression Integer,...)
 --E 359
 
 --S 360 of 526
 m0866:= a0866-r0866
 --R 
 --R
---R   (342)
+--R   (341)
 --R       -
 --R                           +-------------------------------------+
 --R             +-----------+ |     +-----------+
@@ -37495,7 +37105,7 @@ m0866:= a0866-r0866
 d0866:= D(m0866,x)
 --R 
 --R
---R   (343)
+--R   (342)
 --R                              4
 --R           (- c + b - a)sin(x)
 --R         + 
@@ -37622,7 +37232,7 @@ t0867:= cos(x)^2/(a+b*cos(x)+c*cos(x)^2)
 --R
 --R                         2
 --R                   cos(x)
---R   (344)  ------------------------
+--R   (343)  ------------------------
 --R                  2
 --R          c cos(x)  + b cos(x) + a
 --R                                                     Type: Expression Integer
@@ -37632,7 +37242,7 @@ t0867:= cos(x)^2/(a+b*cos(x)+c*cos(x)^2)
 r0867:= x/c+2^(1/2)*(b-(b^2-2*a*c)/(b^2-4*a*c)^(1/2))*atanh(1/2*(b-2*c-(b^2-4*a*c)^(1/2))*tan(1/2*x)*2^(1/2)/(-b^2+2*c*(a+c)+(b^2-4*a*c)^(1/2)*b)^(1/2))/c/(-b^2+2*c*(a+c)+(b^2-4*a*c)^(1/2)*b)^(1/2)+2*(b+(b^2-2*a*c)/(b^2-4*a*c)^(1/2))*atanh((b+(b^2-4*a*c)^(1/2)-2*c)*tan(1/2*x)/(4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2))/c/(4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2)
 --R 
 --R
---R   (345)
+--R   (344)
 --R                                         +---------------------------------+
 --R             +-----------+               |  +-----------+
 --R             |          2             2  |  |          2      2           2
@@ -37693,7 +37303,7 @@ r0867:= x/c+2^(1/2)*(b-(b^2-2*a*c)/(b^2-4*a*c)^(1/2))*atanh(1/2*(b-2*c-(b^2-4*a*
 a0867:= integrate(t0867,x)
 --R 
 --R
---R   (346)
+--R   (345)
 --R         c
 --R      *
 --R         ROOT
@@ -38194,7 +37804,7 @@ a0867:= integrate(t0867,x)
 m0867:= a0867-r0867
 --R 
 --R
---R   (347)
+--R   (346)
 --R                         +-------------------------------------+
 --R           +-----------+ |     +-----------+
 --R           |          2  |     |          2      2            2
@@ -38775,7 +38385,7 @@ m0867:= a0867-r0867
 d0867:= D(m0867,x)
 --R 
 --R
---R   (348)
+--R   (347)
 --R                        2           2       4
 --R           ((b - a)c - b  + 2a b - a )sin(x)
 --R         + 
@@ -38940,7 +38550,7 @@ t0868:= cos(x)^3/(a+b*cos(x)+c*cos(x)^2)
 --R
 --R                         3
 --R                   cos(x)
---R   (349)  ------------------------
+--R   (348)  ------------------------
 --R                  2
 --R          c cos(x)  + b cos(x) + a
 --R                                                     Type: Expression Integer
@@ -38950,7 +38560,7 @@ t0868:= cos(x)^3/(a+b*cos(x)+c*cos(x)^2)
 r0868:= -b*x/c^2-2^(1/2)*(b^2-a*c-b*(b^2-3*a*c)/(b^2-4*a*c)^(1/2))*atanh(1/2*(b-2*c-(b^2-4*a*c)^(1/2))*tan(1/2*x)*2^(1/2)/(-b^2+2*c*(a+c)+(b^2-4*a*c)^(1/2)*b)^(1/2))/c^2/(-b^2+2*c*(a+c)+(b^2-4*a*c)^(1/2)*b)^(1/2)-2*(b^2-a*c+b*(b^2-3*a*c)/(b^2-4*a*c)^(1/2))*atanh((b+(b^2-4*a*c)^(1/2)-2*c)*tan(1/2*x)/(4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2))/c^2/(4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2)+sin(x)/c
 --R 
 --R
---R   (350)
+--R   (349)
 --R                       +-----------+
 --R                    2  |          2               3
 --R         ((2a c - 2b )\|- 4a c + b   + 6a b c - 2b )
@@ -39015,7 +38625,7 @@ r0868:= -b*x/c^2-2^(1/2)*(b^2-a*c-b*(b^2-3*a*c)/(b^2-4*a*c)^(1/2))*atanh(1/2*(b-
 a0868:= integrate(t0868,x)
 --R 
 --R
---R   (351)
+--R   (350)
 --R          2
 --R         c
 --R      *
@@ -39653,7 +39263,7 @@ a0868:= integrate(t0868,x)
 m0868:= a0868-r0868
 --R 
 --R
---R   (352)
+--R   (351)
 --R                          +-------------------------------------+
 --R            +-----------+ |     +-----------+
 --R          2 |          2  |     |          2      2            2
@@ -40370,7 +39980,7 @@ m0868:= a0868-r0868
 d0868:= D(m0868,x)
 --R 
 --R
---R   (353)
+--R   (352)
 --R               2       2    2      3       2    2        4
 --R           (a c  + (- b  + a )c + b  - 2a b  + a b)sin(x)
 --R         + 
@@ -40559,7 +40169,7 @@ t0869:= (d+e*cos(x))/(a+b*cos(x)+c*cos(x)^2)
 --R 
 --R
 --R                e cos(x) + d
---R   (354)  ------------------------
+--R   (353)  ------------------------
 --R                  2
 --R          c cos(x)  + b cos(x) + a
 --R                                                     Type: Expression Integer
@@ -40569,7 +40179,7 @@ t0869:= (d+e*cos(x))/(a+b*cos(x)+c*cos(x)^2)
 r0869:= -2^(1/2)*(e+(2*c*d-b*e)/(b^2-4*a*c)^(1/2))*atanh(1/2*(b-2*c-(b^2-4*a*c)^(1/2))*tan(1/2*x)*2^(1/2)/(-b^2+2*c*(a+c)+(b^2-4*a*c)^(1/2)*b)^(1/2))/(-b^2+2*c*(a+c)+(b^2-4*a*c)^(1/2)*b)^(1/2)-2*(e-(2*c*d-b*e)/(b^2-4*a*c)^(1/2))*atanh((b+(b^2-4*a*c)^(1/2)-2*c)*tan(1/2*x)/(4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2))/(4*c^2-(b+(b^2-4*a*c)^(1/2))^2)^(1/2)
 --R 
 --R
---R   (355)
+--R   (354)
 --R                                            +---------------------------------+
 --R               +-----------+                |  +-----------+
 --R               |          2                 |  |          2      2           2
@@ -40620,7 +40230,7 @@ r0869:= -2^(1/2)*(e+(2*c*d-b*e)/(b^2-4*a*c)^(1/2))*atanh(1/2*(b-2*c-(b^2-4*a*c)^
 a0869:= integrate(t0869,x)
 --R 
 --R
---R   (356)
+--R   (355)
 --R       -
 --R            ROOT
 --R                             3        2      2  2           2     3       4
@@ -41310,7 +40920,7 @@ a0869:= integrate(t0869,x)
 m0869:= a0869-r0869
 --R 
 --R
---R   (357)
+--R   (356)
 --R       -
 --R                           +-------------------------------------+
 --R             +-----------+ |     +-----------+
@@ -42082,7 +41692,7 @@ m0869:= a0869-r0869
 d0869:= D(m0869,x)
 --R 
 --R
---R   (358)
+--R   (357)
 --R                                                4
 --R           ((- c + b - a)e + (c - b + a)d)sin(x)
 --R         + 
@@ -42247,7 +41857,7 @@ t0870:= cos(x)/(2-3*sin(x)+sin(x)^2)
 --R 
 --R
 --R                  cos(x)
---R   (359)  ---------------------
+--R   (358)  ---------------------
 --R                2
 --R          sin(x)  - 3sin(x) + 2
 --R                                                     Type: Expression Integer
@@ -42257,7 +41867,7 @@ t0870:= cos(x)/(2-3*sin(x)+sin(x)^2)
 r0870:= -2*atanh(-3+2*sin(x))
 --R 
 --R
---R   (360)  - 2atanh(2sin(x) - 3)
+--R   (359)  - 2atanh(2sin(x) - 3)
 --R                                                     Type: Expression Integer
 --E 378
 
@@ -42266,7 +41876,7 @@ a0870:= integrate(t0870,x)
 --R 
 --R
 --R                 sin(x) - cos(x) - 1        - sin(x) + 2
---R   (361)  - 2log(-------------------) + log(------------)
+--R   (360)  - 2log(-------------------) + log(------------)
 --R                      cos(x) + 1             cos(x) + 1
 --R                                          Type: Union(Expression Integer,...)
 --E 379
@@ -42275,7 +41885,7 @@ a0870:= integrate(t0870,x)
 m0870:= a0870-r0870
 --R 
 --R
---R   (362)
+--R   (361)
 --R          sin(x) - cos(x) - 1        - sin(x) + 2
 --R   - 2log(-------------------) + log(------------) + 2atanh(2sin(x) - 3)
 --R               cos(x) + 1             cos(x) + 1
@@ -42286,7 +41896,7 @@ m0870:= a0870-r0870
 d0870:= D(m0870,x)
 --R 
 --R
---R   (363)
+--R   (362)
 --R                3               2            2                    3
 --R        - sin(x)  - cos(x)sin(x)  + (- cos(x)  + 1)sin(x) - cos(x)  + cos(x)
 --R   -----------------------------------------------------------------------------
@@ -42301,7 +41911,7 @@ t0871:= csc(x)*(cos(x)+sin(x))^(1/2)/cos(x)^(3/2)
 --R
 --R                 +---------------+
 --R          csc(x)\|sin(x) + cos(x)
---R   (364)  ------------------------
+--R   (363)  ------------------------
 --R                      +------+
 --R               cos(x)\|cos(x)
 --R                                                     Type: Expression Integer
@@ -42311,7 +41921,7 @@ t0871:= csc(x)*(cos(x)+sin(x))^(1/2)/cos(x)^(3/2)
 r0871:= -log(sin(x))+2*log(-cos(x)^(1/2)+(cos(x)+sin(x))^(1/2))+2*(cos(x)+sin(x))^(1/2)/cos(x)^(1/2)
 --R 
 --R
---R   (365)
+--R   (364)
 --R         +------+     +---------------+    +------+      +---------------+
 --R       2\|cos(x) log(\|sin(x) + cos(x)  - \|cos(x) ) + 2\|sin(x) + cos(x)
 --R     + 
@@ -42338,7 +41948,7 @@ a0871:= integrate(t0871,x)
 m0871:= a0871-r0871
 --R 
 --R
---R   (366)
+--R   (365)
 --R           +------+     +---------------+    +------+      +---------------+
 --R       - 2\|cos(x) log(\|sin(x) + cos(x)  - \|cos(x) ) - 2\|sin(x) + cos(x)
 --R     + 
@@ -42354,7 +41964,7 @@ m0871:= a0871-r0871
 d0871:= D(m0871,x)
 --R 
 --R
---R   (367)
+--R   (366)
 --R              2         2  +------+ +---------------+         3               2
 --R       (sin(x)  + cos(x) )\|cos(x) \|sin(x) + cos(x)  - sin(x)  - cos(x)sin(x)
 --R     + 
@@ -42371,7 +41981,7 @@ t0872:= (cos(x)+sin(x))/(1+sin(2*x))^(1/2)
 --R 
 --R
 --R          sin(x) + cos(x)
---R   (368)  ---------------
+--R   (367)  ---------------
 --R            +-----------+
 --R           \|sin(2x) + 1
 --R                                                     Type: Expression Integer
@@ -42382,7 +41992,7 @@ r0872:= x*(cos(x)+sin(x))/(1+sin(2*x))^(1/2)
 --R 
 --R
 --R          x sin(x) + x cos(x)
---R   (369)  -------------------
+--R   (368)  -------------------
 --R              +-----------+
 --R             \|sin(2x) + 1
 --R                                                     Type: Expression Integer
@@ -42392,7 +42002,7 @@ r0872:= x*(cos(x)+sin(x))/(1+sin(2*x))^(1/2)
 a0872:= integrate(t0872,x)
 --R 
 --R
---R   (370)  - x
+--R   (369)  - x
 --R                                          Type: Union(Expression Integer,...)
 --E 389
 
@@ -42402,7 +42012,7 @@ m0872:= a0872-r0872
 --R
 --R              +-----------+
 --R          - x\|sin(2x) + 1  - x sin(x) - x cos(x)
---R   (371)  ---------------------------------------
+--R   (370)  ---------------------------------------
 --R                        +-----------+
 --R                       \|sin(2x) + 1
 --R                                                     Type: Expression Integer
@@ -42412,7 +42022,7 @@ m0872:= a0872-r0872
 d0872:= D(m0872,x)
 --R 
 --R
---R   (372)
+--R   (371)
 --R                       +-----------+
 --R       (- sin(2x) - 1)\|sin(2x) + 1  + ((x - 1)sin(x) + (- x - 1)cos(x))sin(2x)
 --R     + 
@@ -42428,7 +42038,7 @@ t0873:= csc(x)^(1/2)*(x*cos(x)-4*sec(x)*tan(x))
 --R 
 --R
 --R                                       +------+
---R   (373)  (- 4sec(x)tan(x) + x cos(x))\|csc(x)
+--R   (372)  (- 4sec(x)tan(x) + x cos(x))\|csc(x)
 --R                                                     Type: Expression Integer
 --E 392
 
@@ -42437,7 +42047,7 @@ r0873:= 2*x/csc(x)^(1/2)-4*sec(x)/csc(x)^(3/2)
 --R 
 --R
 --R          - 4sec(x) + 2x csc(x)
---R   (374)  ---------------------
+--R   (373)  ---------------------
 --R                    +------+
 --R             csc(x)\|csc(x)
 --R                                                     Type: Expression Integer
@@ -42460,7 +42070,7 @@ m0873:= a0873-r0873
 --R
 --R                       +------+
 --R          a0873 csc(x)\|csc(x)  + 4sec(x) - 2x csc(x)
---R   (375)  -------------------------------------------
+--R   (374)  -------------------------------------------
 --R                               +------+
 --R                        csc(x)\|csc(x)
 --R                                                     Type: Expression Integer
@@ -42471,7 +42081,7 @@ d0873:= D(m0873,x)
 --R 
 --R
 --R          4sec(x)tan(x) + 6cot(x)sec(x) + (- x cot(x) - 2)csc(x)
---R   (376)  ------------------------------------------------------
+--R   (375)  ------------------------------------------------------
 --R                                     +------+
 --R                              csc(x)\|csc(x)
 --R                                                     Type: Expression Integer
@@ -42481,7 +42091,7 @@ d0873:= D(m0873,x)
 t0874:= cos(x)*(-1+csc(x)^2)^(1/2)*(1-sin(x)^2)^3
 --R 
 --R
---R   (377)
+--R   (376)
 --R                                                                +-----------+
 --R                  6                4                2           |      2
 --R   (- cos(x)sin(x)  + 3cos(x)sin(x)  - 3cos(x)sin(x)  + cos(x))\|csc(x)  - 1
@@ -42492,7 +42102,7 @@ t0874:= cos(x)*(-1+csc(x)^2)^(1/2)*(1-sin(x)^2)^3
 r0874:= -1/105*(105*atanh(cos(x))-105*cos(x)-35*cos(x)^3-21*cos(x)^5-15*cos(x)^7)*(cot(x)^2)^(1/2)*tan(x)
 --R 
 --R
---R   (378)
+--R   (377)
 --R         - 105tan(x)atanh(cos(x))
 --R       + 
 --R                  7           5           3
@@ -42513,7 +42123,7 @@ a0874:= integrate(t0874,x)
 --R                     sin(x)              7           5           3
 --R          - 105log(----------) - 15cos(x)  - 21cos(x)  - 35cos(x)  - 105cos(x)
 --R                   cos(x) + 1
---R   (379)  --------------------------------------------------------------------
+--R   (378)  --------------------------------------------------------------------
 --R                                           105
 --R                                          Type: Union(Expression Integer,...)
 --E 399
@@ -42522,7 +42132,7 @@ a0874:= integrate(t0874,x)
 m0874:= a0874-r0874
 --R 
 --R
---R   (380)
+--R   (379)
 --R           105tan(x)atanh(cos(x))
 --R         + 
 --R                      7           5           3
@@ -42544,7 +42154,7 @@ m0874:= a0874-r0874
 d0874:= D(m0874,x)
 --R 
 --R
---R   (381)
+--R   (380)
 --R                                                                  +-------+
 --R                  8                   2            3              |      2
 --R       ((105cos(x)  - 105cos(x))sin(x)  - 105cos(x)  + 105cos(x))\|cot(x)
@@ -42595,7 +42205,7 @@ t0875:= cos(x)*csc(x)^(7/3)
 --R 
 --R
 --R                      2 3+------+
---R   (382)  cos(x)csc(x)  \|csc(x)
+--R   (381)  cos(x)csc(x)  \|csc(x)
 --R                                                     Type: Expression Integer
 --E 402
 
@@ -42605,7 +42215,7 @@ r0875:= -3/4*csc(x)^(4/3)
 --R
 --R                   3+------+
 --R            3csc(x)\|csc(x)
---R   (383)  - ----------------
+--R   (382)  - ----------------
 --R                    4
 --R                                                     Type: Expression Integer
 --E 403
@@ -42619,7 +42229,7 @@ a0875:= integrate(t0875,x)
 --R          (6cos(x)  - 3)sin(x)  |- -----------
 --R                               6|        2
 --R                               \|  cos(x)  - 1
---R   (384)  ------------------------------------
+--R   (383)  ------------------------------------
 --R                       4           2
 --R               16cos(x)  - 32cos(x)  + 16
 --R                                          Type: Union(Expression Integer,...)
@@ -42629,7 +42239,7 @@ a0875:= integrate(t0875,x)
 m0875:= a0875-r0875
 --R 
 --R
---R   (385)
+--R   (384)
 --R                4           2            3+------+
 --R       (12cos(x)  - 24cos(x)  + 12)csc(x)\|csc(x)
 --R     + 
@@ -42648,7 +42258,7 @@ m0875:= a0875-r0875
 d0875:= D(m0875,x)
 --R 
 --R
---R   (386)
+--R   (385)
 --R                   3                2          5          3           3+------+2
 --R       ((- 14cos(x)  + cos(x))sin(x)  - 6cos(x)  + 9cos(x)  - 3cos(x))\|csc(x)
 --R     + 
@@ -42677,7 +42287,7 @@ t0876:= cos(x)*(1+csc(x))^(1/2)
 --R 
 --R
 --R                 +----------+
---R   (387)  cos(x)\|csc(x) + 1
+--R   (386)  cos(x)\|csc(x) + 1
 --R                                                     Type: Expression Integer
 --E 407
 
@@ -42686,7 +42296,7 @@ r0876:= atanh((1+csc(x))^(1/2))+(1+csc(x))^(1/2)*sin(x)
 --R 
 --R
 --R                 +----------+           +----------+
---R   (388)  atanh(\|csc(x) + 1 ) + sin(x)\|csc(x) + 1
+--R   (387)  atanh(\|csc(x) + 1 ) + sin(x)\|csc(x) + 1
 --R                                                     Type: Expression Integer
 --E 408
 
@@ -42694,7 +42304,7 @@ r0876:= atanh((1+csc(x))^(1/2))+(1+csc(x))^(1/2)*sin(x)
 a0876:= integrate(t0876,x)
 --R 
 --R
---R   (389)
+--R   (388)
 --R       log
 --R                            +-------------+2
 --R                            |- 4cos(x) + 4
@@ -42735,7 +42345,7 @@ a0876:= integrate(t0876,x)
 m0876:= a0876-r0876
 --R 
 --R
---R   (390)
+--R   (389)
 --R       log
 --R                            +-------------+2
 --R                            |- 4cos(x) + 4
@@ -42779,7 +42389,7 @@ m0876:= a0876-r0876
 d0876:= D(m0876,x)
 --R 
 --R
---R   (391)
+--R   (390)
 --R                                 4           3          2                     3
 --R               (cos(x) + 1)sin(x)  + (2cos(x)  + 3cos(x)  + 3cos(x) + 2)sin(x)
 --R             + 
@@ -42959,7 +42569,7 @@ t0877:= cos(x)^3/(sin(x)^3)^(1/2)
 --R
 --R                  3
 --R            cos(x)
---R   (392)  ----------
+--R   (391)  ----------
 --R           +-------+
 --R           |      3
 --R          \|sin(x)
@@ -42972,7 +42582,7 @@ r0877:= 2/3*(-4+cos(x)^2)*sin(x)/(sin(x)^3)^(1/2)
 --R
 --R                  2
 --R          (2cos(x)  - 8)sin(x)
---R   (393)  --------------------
+--R   (392)  --------------------
 --R                 +-------+
 --R                 |      3
 --R               3\|sin(x)
@@ -42985,7 +42595,7 @@ a0877:= integrate(t0877,x)
 --R
 --R                    2            +------+
 --R          (- 2cos(x)  + 8)sin(x)\|sin(x)
---R   (394)  -------------------------------
+--R   (393)  -------------------------------
 --R                           2
 --R                    3cos(x)  - 3
 --R                                          Type: Union(Expression Integer,...)
@@ -42995,7 +42605,7 @@ a0877:= integrate(t0877,x)
 m0877:= a0877-r0877
 --R 
 --R
---R   (395)
+--R   (394)
 --R                                       +-------+
 --R                 2            +------+ |      3
 --R       (- 2cos(x)  + 8)sin(x)\|sin(x) \|sin(x)
@@ -43013,7 +42623,7 @@ m0877:= a0877-r0877
 d0877:= D(m0877,x)
 --R 
 --R
---R   (396)
+--R   (395)
 --R                                                                     +-------+
 --R                      3             5           3                    |      3
 --R       (12cos(x)sin(x)  + (- 3cos(x)  + 15cos(x)  - 12cos(x))sin(x))\|sin(x)
@@ -43038,7 +42648,7 @@ t0878:= cos(x)^3*csc(x)^(1/2)
 --R 
 --R
 --R                3 +------+
---R   (397)  cos(x) \|csc(x)
+--R   (396)  cos(x) \|csc(x)
 --R                                                     Type: Expression Integer
 --E 417
 
@@ -43048,7 +42658,7 @@ r0878:= -2/5*(-5+sin(x)^2)/(1/sin(x))^(1/2)
 --R
 --R                   2
 --R          - 2sin(x)  + 10
---R   (398)  ---------------
+--R   (397)  ---------------
 --R                +------+
 --R                |   1
 --R             5  |------
@@ -43065,7 +42675,7 @@ a0878:= integrate(t0878,x)
 --R          (2cos(x)  + 8)sin(x)  |- -----------
 --R                               4|        2
 --R                               \|  cos(x)  - 1
---R   (399)  ------------------------------------
+--R   (398)  ------------------------------------
 --R                            5
 --R                                          Type: Union(Expression Integer,...)
 --E 419
@@ -43079,7 +42689,7 @@ m0878:= a0878-r0878
 --R          (2cos(x)  + 8)sin(x)  |- -----------  |------ + 2sin(x)  - 10
 --R                               4|        2     \|sin(x)
 --R                               \|  cos(x)  - 1
---R   (400)  -------------------------------------------------------------
+--R   (399)  -------------------------------------------------------------
 --R                                       +------+
 --R                                       |   1
 --R                                    5  |------
@@ -43091,7 +42701,7 @@ m0878:= a0878-r0878
 d0878:= D(m0878,x)
 --R 
 --R
---R   (401)
+--R   (400)
 --R                  3                 3             5          3
 --R         ((3cos(x)  - 8cos(x))sin(x)  + (- 2cos(x)  - 6cos(x)  + 8cos(x))sin(x))
 --R      *
@@ -43124,7 +42734,7 @@ t0879:= cos(x)^3*csc(x)^(9/2)
 --R 
 --R
 --R                3      4 +------+
---R   (402)  cos(x) csc(x) \|csc(x)
+--R   (401)  cos(x) csc(x) \|csc(x)
 --R                                                     Type: Expression Integer
 --E 422
 
@@ -43134,7 +42744,7 @@ r0879:= 2/3*csc(x)^(3/2)-2/7*csc(x)^(7/2)
 --R
 --R                    3             +------+
 --R          (- 6csc(x)  + 14csc(x))\|csc(x)
---R   (403)  --------------------------------
+--R   (402)  --------------------------------
 --R                         21
 --R                                                     Type: Expression Integer
 --E 423
@@ -43148,7 +42758,7 @@ a0879:= integrate(t0879,x)
 --R          (- 14cos(x)  + 15cos(x)  - 4)sin(x)  |- -----------
 --R                                              4|        2
 --R                                              \|  cos(x)  - 1
---R   (404)  ---------------------------------------------------
+--R   (403)  ---------------------------------------------------
 --R                        6            4            2
 --R                42cos(x)  - 126cos(x)  + 126cos(x)  - 42
 --R                                          Type: Union(Expression Integer,...)
@@ -43158,7 +42768,7 @@ a0879:= integrate(t0879,x)
 m0879:= a0879-r0879
 --R 
 --R
---R   (405)
+--R   (404)
 --R                    6           4           2            3
 --R           (12cos(x)  - 36cos(x)  + 36cos(x)  - 12)csc(x)
 --R         + 
@@ -43183,7 +42793,7 @@ m0879:= a0879-r0879
 d0879:= D(m0879,x)
 --R 
 --R
---R   (406)
+--R   (405)
 --R                    5           3                 2           7           5
 --R           (70cos(x)  - 23cos(x)  - 8cos(x))sin(x)  + 28cos(x)  - 58cos(x)
 --R         + 
@@ -43231,7 +42841,7 @@ t0880:= sec(x)^2*(a+b*tan(x))^n
 --R 
 --R
 --R                2              n
---R   (407)  sec(x) (b tan(x) + a)
+--R   (406)  sec(x) (b tan(x) + a)
 --R                                                     Type: Expression Integer
 --E 427
 
@@ -43241,7 +42851,7 @@ r0880:= (a+b*tan(x))^(1+n)/b/(1+n)
 --R
 --R                        n + 1
 --R          (b tan(x) + a)
---R   (408)  -------------------
+--R   (407)  -------------------
 --R                b n + b
 --R                                                     Type: Expression Integer
 --E 428
@@ -43254,7 +42864,7 @@ a0880:= integrate(t0880,x)
 --R                                 n log(-------------------)
 --R                                              cos(x)
 --R          (b sin(x) + a cos(x))%e
---R   (409)  -------------------------------------------------
+--R   (408)  -------------------------------------------------
 --R                           (b n + b)cos(x)
 --R                                          Type: Union(Expression Integer,...)
 --E 429
@@ -43263,7 +42873,7 @@ a0880:= integrate(t0880,x)
 m0880:= a0880-r0880
 --R 
 --R
---R   (410)
+--R   (409)
 --R                                b sin(x) + a cos(x)
 --R                          n log(-------------------)
 --R                                       cos(x)                              n + 1
@@ -43277,7 +42887,7 @@ m0880:= a0880-r0880
 d0880:= D(m0880,x)
 --R 
 --R
---R   (411)
+--R   (410)
 --R                                  b sin(x) + a cos(x)
 --R                            n log(-------------------)
 --R              2         2                cos(x)
@@ -43297,7 +42907,7 @@ t0881:= sec(x)^2/(tan(x)^2+tan(x)^3)
 --R
 --R                     2
 --R               sec(x)
---R   (412)  -----------------
+--R   (411)  -----------------
 --R                3         2
 --R          tan(x)  + tan(x)
 --R                                                     Type: Expression Integer
@@ -43307,7 +42917,7 @@ t0881:= sec(x)^2/(tan(x)^2+tan(x)^3)
 r0881:= -cot(x)+log(1+cot(x))
 --R 
 --R
---R   (413)  log(cot(x) + 1) - cot(x)
+--R   (412)  log(cot(x) + 1) - cot(x)
 --R                                                     Type: Expression Integer
 --E 433
 
@@ -43318,7 +42928,7 @@ a0881:= integrate(t0881,x)
 --R                        sin(x)                - 2sin(x) - 2cos(x)
 --R          - sin(x)log(----------) + sin(x)log(-------------------) - cos(x)
 --R                      cos(x) + 1                   cos(x) + 1
---R   (414)  -----------------------------------------------------------------
+--R   (413)  -----------------------------------------------------------------
 --R                                        sin(x)
 --R                                          Type: Union(Expression Integer,...)
 --E 434
@@ -43327,7 +42937,7 @@ a0881:= integrate(t0881,x)
 m0881:= a0881-r0881
 --R 
 --R
---R   (415)
+--R   (414)
 --R                     sin(x)
 --R       - sin(x)log(----------) - sin(x)log(cot(x) + 1)
 --R                   cos(x) + 1
@@ -43344,7 +42954,7 @@ m0881:= a0881-r0881
 d0881:= D(m0881,x)
 --R 
 --R
---R   (416)
+--R   (415)
 --R                3                3                  3                2
 --R       (- cot(x)  - cot(x))sin(x)  + (- cos(x)cot(x)  + cos(x))sin(x)
 --R     + 
@@ -43362,7 +42972,7 @@ t0882:= sec(x)^2/(-tan(x)^2+tan(x)^3)
 --R
 --R                     2
 --R               sec(x)
---R   (417)  -----------------
+--R   (416)  -----------------
 --R                3         2
 --R          tan(x)  - tan(x)
 --R                                                     Type: Expression Integer
@@ -43372,7 +42982,7 @@ t0882:= sec(x)^2/(-tan(x)^2+tan(x)^3)
 r0882:= cot(x)+log(1-cot(x))
 --R 
 --R
---R   (418)  log(- cot(x) + 1) + cot(x)
+--R   (417)  log(- cot(x) + 1) + cot(x)
 --R                                                     Type: Expression Integer
 --E 438
 
@@ -43383,7 +42993,7 @@ a0882:= integrate(t0882,x)
 --R                    2sin(x) - 2cos(x)                sin(x)
 --R          sin(x)log(-----------------) - sin(x)log(----------) + cos(x)
 --R                        cos(x) + 1                 cos(x) + 1
---R   (419)  -------------------------------------------------------------
+--R   (418)  -------------------------------------------------------------
 --R                                      sin(x)
 --R                                          Type: Union(Expression Integer,...)
 --E 439
@@ -43392,7 +43002,7 @@ a0882:= integrate(t0882,x)
 m0882:= a0882-r0882
 --R 
 --R
---R   (420)
+--R   (419)
 --R                 2sin(x) - 2cos(x)                sin(x)
 --R       sin(x)log(-----------------) - sin(x)log(----------)
 --R                     cos(x) + 1                 cos(x) + 1
@@ -43407,7 +43017,7 @@ m0882:= a0882-r0882
 d0882:= D(m0882,x)
 --R 
 --R
---R   (421)
+--R   (420)
 --R              3                3                  3                2
 --R       (cot(x)  + cot(x))sin(x)  + (- cos(x)cot(x)  - cos(x))sin(x)
 --R     + 
@@ -43425,7 +43035,7 @@ t0883:= sec(x)^2/(3-4*tan(x)^3)
 --R
 --R                     2
 --R               sec(x)
---R   (422)  - ------------
+--R   (421)  - ------------
 --R                   3
 --R            4tan(x)  - 3
 --R                                                     Type: Expression Integer
@@ -43435,7 +43045,7 @@ t0883:= sec(x)^2/(3-4*tan(x)^3)
 r0883:= 1/18*atan(1/6*(6^(1/3)+4*tan(x))*2^(2/3)*3^(1/6))*2^(1/3)*3^(5/6)-1/18*log(6^(1/3)-2*tan(x))*6^(1/3)+1/36*log(6^(2/3)+2*6^(1/3)*tan(x)+4*tan(x)^2)*6^(1/3)
 --R 
 --R
---R   (423)
+--R   (422)
 --R       3+-+           2    3+-+         3+-+2     3+-+                3+-+
 --R       \|6 log(4tan(x)  + 2\|6 tan(x) + \|6  ) - 2\|6 log(- 2tan(x) + \|6 )
 --R     + 
@@ -43452,7 +43062,7 @@ r0883:= 1/18*atan(1/6*(6^(1/3)+4*tan(x))*2^(2/3)*3^(1/6))*2^(1/3)*3^(5/6)-1/18*l
 a0883:= integrate(t0883,x)
 --R 
 --R
---R   (424)
+--R   (423)
 --R       -
 --R            3+---+ +-+
 --R            \|- 1 \|3
@@ -43503,7 +43113,7 @@ a0883:= integrate(t0883,x)
 m0883:= a0883-r0883
 --R 
 --R
---R   (425)
+--R   (424)
 --R          +-+3+-+3+--+           2    3+-+         3+-+2
 --R       - \|3 \|6 \|36 log(4tan(x)  + 2\|6 tan(x) + \|6  )
 --R     + 
@@ -43571,7 +43181,7 @@ t0884:= sec(x)^2/(1+sec(x)^2-3*tan(x))
 --R
 --R                         2
 --R                   sec(x)
---R   (426)  - ---------------------
+--R   (425)  - ---------------------
 --R                            2
 --R            3tan(x) - sec(x)  - 1
 --R                                                     Type: Expression Integer
@@ -43581,7 +43191,7 @@ t0884:= sec(x)^2/(1+sec(x)^2-3*tan(x))
 r0884:= -2*atanh(-3+2*tan(x))
 --R 
 --R
---R   (427)  - 2atanh(2tan(x) - 3)
+--R   (426)  - 2atanh(2tan(x) - 3)
 --R                                                     Type: Expression Integer
 --E 448
 
@@ -43590,7 +43200,7 @@ a0884:= integrate(t0884,x)
 --R 
 --R
 --R                2sin(x) - 2cos(x)        sin(x) - 2cos(x)
---R   (428)  - log(-----------------) + log(----------------)
+--R   (427)  - log(-----------------) + log(----------------)
 --R                    cos(x) + 1              cos(x) + 1
 --R                                          Type: Union(Expression Integer,...)
 --E 449
@@ -43599,7 +43209,7 @@ a0884:= integrate(t0884,x)
 m0884:= a0884-r0884
 --R 
 --R
---R   (429)
+--R   (428)
 --R         2sin(x) - 2cos(x)        sin(x) - 2cos(x)
 --R   - log(-----------------) + log(----------------) + 2atanh(2tan(x) - 3)
 --R             cos(x) + 1              cos(x) + 1
@@ -43610,7 +43220,7 @@ m0884:= a0884-r0884
 d0884:= D(m0884,x)
 --R 
 --R
---R   (430)
+--R   (429)
 --R                              2       2             2          2
 --R       (3cos(x)sin(x) - cos(x) )tan(x)  + (- 3sin(x)  - 3cos(x) )tan(x)
 --R     + 
@@ -43634,7 +43244,7 @@ t0885:= sec(x)^2*(a+b*tan(x))^2/(c+d*tan(x))
 --R
 --R           2      2      2              2          2      2
 --R          b sec(x) tan(x)  + 2a b sec(x) tan(x) + a sec(x)
---R   (431)  -------------------------------------------------
+--R   (430)  -------------------------------------------------
 --R                             d tan(x) + c
 --R                                                     Type: Expression Integer
 --E 452
@@ -43643,7 +43253,7 @@ t0885:= sec(x)^2*(a+b*tan(x))^2/(c+d*tan(x))
 r0885:= (b*c-a*d)^2*log(c+d*tan(x))/d^3-b*(b*c-a*d)*tan(x)/d^2+1/2*(a+b*tan(x))^2/d
 --R 
 --R
---R   (432)
+--R   (431)
 --R          2 2                2 2                      2 2      2
 --R       (2a d  - 4a b c d + 2b c )log(d tan(x) + c) + b d tan(x)
 --R     + 
@@ -43659,7 +43269,7 @@ r0885:= (b*c-a*d)^2*log(c+d*tan(x))/d^3-b*(b*c-a*d)*tan(x)/d^2+1/2*(a+b*tan(x))^
 a0885:= integrate(t0885,x)
 --R 
 --R
---R   (433)
+--R   (432)
 --R            2 2                2 2       2        2cos(x)
 --R       (- 2a d  + 4a b c d - 2b c )cos(x) log(- ----------)
 --R                                                cos(x) + 1
@@ -43680,7 +43290,7 @@ a0885:= integrate(t0885,x)
 m0885:= a0885-r0885
 --R 
 --R
---R   (434)
+--R   (433)
 --R            2 2                2 2       2
 --R       (- 2a d  + 4a b c d - 2b c )cos(x) log(d tan(x) + c)
 --R     + 
@@ -43707,7 +43317,7 @@ m0885:= a0885-r0885
 d0885:= D(m0885,x)
 --R 
 --R
---R   (435)
+--R   (434)
 --R           2 2      3          2          4       4
 --R       (- b d cos(x) sin(x) - b c d cos(x) )tan(x)
 --R     + 
@@ -43740,7 +43350,7 @@ d0885:= D(m0885,x)
 t0886:= sec(x)^2*(a+b*tan(x))^3/(c+d*tan(x))
 --R 
 --R
---R   (436)
+--R   (435)
 --R    3      2      3       2      2      2     2        2          3      2
 --R   b sec(x) tan(x)  + 3a b sec(x) tan(x)  + 3a b sec(x) tan(x) + a sec(x)
 --R   -----------------------------------------------------------------------
@@ -43752,7 +43362,7 @@ t0886:= sec(x)^2*(a+b*tan(x))^3/(c+d*tan(x))
 r0886:= -(b*c-a*d)^3*log(c+d*tan(x))/d^4+b*(b*c-a*d)^2*tan(x)/d^3-1/2*(b*c-a*d)*(a+b*tan(x))^2/d^2+1/3*(a+b*tan(x))^3/d
 --R 
 --R
---R   (437)
+--R   (436)
 --R          3 3      2     2        2 2      3 3                       3 3      3
 --R       (6a d  - 18a b c d  + 18a b c d - 6b c )log(d tan(x) + c) + 2b d tan(x)
 --R     + 
@@ -43771,7 +43381,7 @@ r0886:= -(b*c-a*d)^3*log(c+d*tan(x))/d^4+b*(b*c-a*d)^2*tan(x)/d^3-1/2*(b*c-a*d)*
 a0886:= integrate(t0886,x)
 --R 
 --R
---R   (438)
+--R   (437)
 --R            3 3      2     2        2 2      3 3       3        2cos(x)
 --R       (- 6a d  + 18a b c d  - 18a b c d + 6b c )cos(x) log(- ----------)
 --R                                                              cos(x) + 1
@@ -43798,7 +43408,7 @@ a0886:= integrate(t0886,x)
 m0886:= a0886-r0886
 --R 
 --R
---R   (439)
+--R   (438)
 --R            3 3      2     2        2 2      3 3       3
 --R       (- 6a d  + 18a b c d  - 18a b c d + 6b c )cos(x) log(d tan(x) + c)
 --R     + 
@@ -43834,7 +43444,7 @@ m0886:= a0886-r0886
 d0886:= D(m0886,x)
 --R 
 --R
---R   (440)
+--R   (439)
 --R            3 3      4           3   2      5       5
 --R       (- 3b d cos(x) sin(x) - 3b c d cos(x) )tan(x)
 --R     + 
@@ -43893,7 +43503,7 @@ t0887:= sec(x)^4*(-1+sec(x)^2)^2*tan(x)
 --R 
 --R
 --R                 8          6         4
---R   (441)  (sec(x)  - 2sec(x)  + sec(x) )tan(x)
+--R   (440)  (sec(x)  - 2sec(x)  + sec(x) )tan(x)
 --R                                                     Type: Expression Integer
 --E 462
 
@@ -43903,7 +43513,7 @@ r0887:= 1/24*tan(x)^6*(4+3*tan(x)^2)
 --R
 --R                 8          6
 --R          3tan(x)  + 4tan(x)
---R   (442)  -------------------
+--R   (441)  -------------------
 --R                   24
 --R                                                     Type: Expression Integer
 --E 463
@@ -43914,7 +43524,7 @@ a0887:= integrate(t0887,x)
 --R
 --R                  8          4          2
 --R          - cos(x)  + 6cos(x)  - 8cos(x)  + 3
---R   (443)  -----------------------------------
+--R   (442)  -----------------------------------
 --R                               8
 --R                       24cos(x)
 --R                                          Type: Union(Expression Integer,...)
@@ -43924,7 +43534,7 @@ a0887:= integrate(t0887,x)
 m0887:= a0887-r0887
 --R 
 --R
---R   (444)
+--R   (443)
 --R            8      8          8      6         8          4          2
 --R   - 3cos(x) tan(x)  - 4cos(x) tan(x)  - cos(x)  + 6cos(x)  - 8cos(x)  + 3
 --R   -----------------------------------------------------------------------
@@ -43937,7 +43547,7 @@ m0887:= a0887-r0887
 d0887:= D(m0887,x)
 --R 
 --R
---R   (445)
+--R   (444)
 --R               9      9          9      7         9      5
 --R       - cos(x) tan(x)  - 2cos(x) tan(x)  - cos(x) tan(x)
 --R     + 
@@ -43954,7 +43564,7 @@ t0888:= tan(x)^n*sec(x)^4
 --R 
 --R
 --R                4      n
---R   (446)  sec(x) tan(x)
+--R   (445)  sec(x) tan(x)
 --R                                                     Type: Expression Integer
 --E 467
 
@@ -43964,7 +43574,7 @@ r0888:= tan(x)^(1+n)/(1+n)+tan(x)^(3+n)/(3+n)
 --R
 --R                       n + 3                n + 1
 --R          (n + 1)tan(x)      + (n + 3)tan(x)
---R   (447)  ---------------------------------------
+--R   (446)  ---------------------------------------
 --R                         2
 --R                        n  + 4n + 3
 --R                                                     Type: Expression Integer
@@ -43978,7 +43588,7 @@ a0888:= integrate(t0888,x)
 --R                                    n log(------)
 --R                  2                       cos(x)
 --R          (2cos(x)  + n + 1)sin(x)%e
---R   (448)  ---------------------------------------
+--R   (447)  ---------------------------------------
 --R                      2                3
 --R                    (n  + 4n + 3)cos(x)
 --R                                          Type: Union(Expression Integer,...)
@@ -43988,7 +43598,7 @@ a0888:= integrate(t0888,x)
 m0888:= a0888-r0888
 --R 
 --R
---R   (449)
+--R   (448)
 --R                                       sin(x)
 --R                                 n log(------)
 --R               2                       cos(x)                   3      n + 3
@@ -44006,7 +43616,7 @@ m0888:= a0888-r0888
 d0888:= D(m0888,x)
 --R 
 --R
---R   (450)
+--R   (449)
 --R                                                                      sin(x)
 --R                                                                n log(------)
 --R                2               2          4                2         cos(x)
@@ -44029,7 +43639,7 @@ t0889:= sec(x)^2/(4-sec(x)^2)^(1/2)
 --R
 --R                     2
 --R               sec(x)
---R   (451)  ----------------
+--R   (450)  ----------------
 --R           +-------------+
 --R           |        2
 --R          \|- sec(x)  + 4
@@ -44042,7 +43652,7 @@ r0889:= asin(1/3*tan(x)*3^(1/2))
 --R
 --R                +-+
 --R               \|3 tan(x)
---R   (452)  asin(----------)
+--R   (451)  asin(----------)
 --R                    3
 --R                                                     Type: Expression Integer
 --E 473
@@ -44057,7 +43667,7 @@ a0889:= integrate(t0889,x)
 --R                (cos(x) + 1)sin(x) |---------------------  - 4cos(x)sin(x)
 --R                                   |      2
 --R                                  \|cos(x)  + 2cos(x) + 1
---R   (453)  atan(-----------------------------------------------------------)
+--R   (452)  atan(-----------------------------------------------------------)
 --R                                    +---------------------+
 --R                                    |            2
 --R                       2            |    16cos(x)  - 4               2
@@ -44071,7 +43681,7 @@ a0889:= integrate(t0889,x)
 m0889:= a0889-r0889
 --R 
 --R
---R   (454)
+--R   (453)
 --R                              +---------------------+
 --R                              |            2
 --R                              |    16cos(x)  - 4
@@ -44097,7 +43707,7 @@ m0889:= a0889-r0889
 d0889:= D(m0889,x)
 --R 
 --R
---R   (455)
+--R   (454)
 --R                                2          3          2                    2
 --R           ((- cos(x) - 1)sin(x)  - 4cos(x)  - 4cos(x)  + cos(x) + 1)tan(x)
 --R         + 
@@ -44134,7 +43744,7 @@ t0890:= sec(x)^2/(1-4*tan(x)^2)^(1/2)
 --R
 --R                     2
 --R               sec(x)
---R   (456)  -----------------
+--R   (455)  -----------------
 --R           +--------------+
 --R           |         2
 --R          \|- 4tan(x)  + 1
@@ -44146,7 +43756,7 @@ r0890:= 1/2*asin(2*tan(x))
 --R 
 --R
 --R          asin(2tan(x))
---R   (457)  -------------
+--R   (456)  -------------
 --R                2
 --R                                                     Type: Expression Integer
 --E 478
@@ -44155,7 +43765,7 @@ r0890:= 1/2*asin(2*tan(x))
 a0890:= integrate(t0890,x)
 --R 
 --R
---R   (458)
+--R   (457)
 --R                              +---------------------+
 --R                              |            2
 --R                              |    20cos(x)  - 16         +-+
@@ -44178,7 +43788,7 @@ a0890:= integrate(t0890,x)
 m0890:= a0890-r0890
 --R 
 --R
---R   (459)
+--R   (458)
 --R                                  +---------------------+
 --R                                  |            2
 --R                                  |    20cos(x)  - 16         +-+
@@ -44203,7 +43813,7 @@ m0890:= a0890-r0890
 d0890:= D(m0890,x)
 --R 
 --R
---R   (460)
+--R   (459)
 --R                                 2          3          2                     2
 --R           ((- 4cos(x) - 4)sin(x)  - 5cos(x)  - 5cos(x)  + 4cos(x) + 4)tan(x)
 --R         + 
@@ -44239,7 +43849,7 @@ t0891:= sec(x)^2/(-4+tan(x)^2)^(1/2)
 --R
 --R                    2
 --R              sec(x)
---R   (461)  --------------
+--R   (460)  --------------
 --R           +-----------+
 --R           |      2
 --R          \|tan(x)  - 4
@@ -44252,7 +43862,7 @@ r0891:= atanh(cot(x)*(-4+tan(x)^2)^(1/2))
 --R
 --R                       +-----------+
 --R                       |      2
---R   (462)  atanh(cot(x)\|tan(x)  - 4 )
+--R   (461)  atanh(cot(x)\|tan(x)  - 4 )
 --R                                                     Type: Expression Integer
 --E 483
 
@@ -44260,7 +43870,7 @@ r0891:= atanh(cot(x)*(-4+tan(x)^2)^(1/2))
 a0891:= integrate(t0891,x)
 --R 
 --R
---R   (463)
+--R   (462)
 --R                                +---------------------+
 --R                                |             2
 --R                                |    - 5cos(x)  + 1        +-+      2
@@ -44283,7 +43893,7 @@ a0891:= integrate(t0891,x)
 m0891:= a0891-r0891
 --R 
 --R
---R   (464)
+--R   (463)
 --R                                +---------------------+
 --R                                |             2
 --R                                |    - 5cos(x)  + 1        +-+      2
@@ -44310,7 +43920,7 @@ m0891:= a0891-r0891
 d0891:= D(m0891,x)
 --R 
 --R
---R   (465)
+--R   (464)
 --R                             2                 2      2
 --R                   (- 5cos(x)  - 5cos(x))cot(x) sin(x)
 --R                 + 
@@ -44496,7 +44106,7 @@ t0892:= sec(x)^2*(1-cot(x)^2)^(1/2)
 --R
 --R                  +-------------+
 --R                2 |        2
---R   (466)  sec(x) \|- cot(x)  + 1
+--R   (465)  sec(x) \|- cot(x)  + 1
 --R                                                     Type: Expression Integer
 --E 487
 
@@ -44506,7 +44116,7 @@ r0892:= asin(cot(x))+(1-cot(x)^2)^(1/2)*tan(x)
 --R
 --R                 +-------------+
 --R                 |        2
---R   (467)  tan(x)\|- cot(x)  + 1  + asin(cot(x))
+--R   (466)  tan(x)\|- cot(x)  + 1  + asin(cot(x))
 --R                                                     Type: Expression Integer
 --E 488
 
@@ -44514,7 +44124,7 @@ r0892:= asin(cot(x))+(1-cot(x)^2)^(1/2)*tan(x)
 a0892:= integrate(t0892,x)
 --R 
 --R
---R   (468)
+--R   (467)
 --R                                                +---------------------+
 --R                                                |             2
 --R                +-+      2     +-+              |    - 8cos(x)  + 4
@@ -44564,7 +44174,7 @@ a0892:= integrate(t0892,x)
 m0892:= a0892-r0892
 --R 
 --R
---R   (469)
+--R   (468)
 --R                                                +---------------------+
 --R                                                |             2
 --R                +-+      2     +-+              |    - 8cos(x)  + 4
@@ -44628,7 +44238,7 @@ m0892:= a0892-r0892
 d0892:= D(m0892,x)
 --R 
 --R
---R   (470)
+--R   (469)
 --R                    +-+      5      +-+      4      +-+      3      +-+      2
 --R               - 32\|2 cos(x)  - 32\|2 cos(x)  + 40\|2 cos(x)  + 40\|2 cos(x)
 --R             + 
@@ -44817,7 +44427,7 @@ t0893:= sec(x)^2*(1-tan(x)^2)^(1/2)
 --R
 --R                  +-------------+
 --R                2 |        2
---R   (471)  sec(x) \|- tan(x)  + 1
+--R   (470)  sec(x) \|- tan(x)  + 1
 --R                                                     Type: Expression Integer
 --E 492
 
@@ -44828,7 +44438,7 @@ r0893:= 1/2*asin(tan(x))+1/2*tan(x)*(1-tan(x)^2)^(1/2)
 --R                 +-------------+
 --R                 |        2
 --R          tan(x)\|- tan(x)  + 1  + asin(tan(x))
---R   (472)  -------------------------------------
+--R   (471)  -------------------------------------
 --R                            2
 --R                                                     Type: Expression Integer
 --E 493
@@ -44837,7 +44447,7 @@ r0893:= 1/2*asin(tan(x))+1/2*tan(x)*(1-tan(x)^2)^(1/2)
 a0893:= integrate(t0893,x)
 --R 
 --R
---R   (473)
+--R   (472)
 --R                 +-+      6      +-+      5     +-+      4     +-+      3
 --R             (16\|2 cos(x)  + 16\|2 cos(x)  - 4\|2 cos(x)  - 4\|2 cos(x) )
 --R          *
@@ -44897,7 +44507,7 @@ a0893:= integrate(t0893,x)
 m0893:= a0893-r0893
 --R 
 --R
---R   (474)
+--R   (473)
 --R                 +-+      6      +-+      5     +-+      4     +-+      3
 --R             (16\|2 cos(x)  + 16\|2 cos(x)  - 4\|2 cos(x)  - 4\|2 cos(x) )
 --R          *
@@ -44976,7 +44586,7 @@ m0893:= a0893-r0893
 d0893:= D(m0893,x)
 --R 
 --R
---R   (475)
+--R   (474)
 --R                        +-+      10        +-+      9        +-+      8
 --R                   1024\|2 cos(x)   + 1024\|2 cos(x)  - 1792\|2 cos(x)
 --R                 + 
@@ -45185,7 +44795,7 @@ t0894:= csc(x)^2/(a+b*cot(x))
 --R
 --R                   2
 --R             csc(x)
---R   (476)  ------------
+--R   (475)  ------------
 --R          b cot(x) + a
 --R                                                     Type: Expression Integer
 --E 497
@@ -45195,7 +44805,7 @@ r0894:= -log(a+b*cot(x))/b
 --R 
 --R
 --R            log(b cot(x) + a)
---R   (477)  - -----------------
+--R   (476)  - -----------------
 --R                    b
 --R                                                     Type: Expression Integer
 --E 498
@@ -45207,7 +44817,7 @@ a0894:= integrate(t0894,x)
 --R                sin(x)          - 2a sin(x) - 2b cos(x)
 --R          log(----------) - log(-----------------------)
 --R              cos(x) + 1               cos(x) + 1
---R   (478)  ----------------------------------------------
+--R   (477)  ----------------------------------------------
 --R                                 b
 --R                                          Type: Union(Expression Integer,...)
 --E 499
@@ -45219,7 +44829,7 @@ m0894:= a0894-r0894
 --R                sin(x)                              - 2a sin(x) - 2b cos(x)
 --R          log(----------) + log(b cot(x) + a) - log(-----------------------)
 --R              cos(x) + 1                                   cos(x) + 1
---R   (479)  ------------------------------------------------------------------
+--R   (478)  ------------------------------------------------------------------
 --R                                           b
 --R                                                     Type: Expression Integer
 --E 500
@@ -45228,7 +44838,7 @@ m0894:= a0894-r0894
 d0894:= D(m0894,x)
 --R 
 --R
---R   (480)
+--R   (479)
 --R                  2                  2                    2
 --R       (- a cot(x)  + b cot(x))sin(x)  + (- b cos(x)cot(x)  - b cos(x))sin(x)
 --R     + 
@@ -45245,7 +44855,7 @@ t0895:= csc(x)^2*(a+b*cot(x))^n
 --R 
 --R
 --R                2              n
---R   (481)  csc(x) (b cot(x) + a)
+--R   (480)  csc(x) (b cot(x) + a)
 --R                                                     Type: Expression Integer
 --E 502
 
@@ -45255,7 +44865,7 @@ r0895:= -(a+b*cot(x))^(1+n)/b/(1+n)
 --R
 --R                          n + 1
 --R            (b cot(x) + a)
---R   (482)  - -------------------
+--R   (481)  - -------------------
 --R                  b n + b
 --R                                                     Type: Expression Integer
 --E 503
@@ -45268,7 +44878,7 @@ a0895:= integrate(t0895,x)
 --R                                   n log(-------------------)
 --R                                                sin(x)
 --R          (- a sin(x) - b cos(x))%e
---R   (483)  ---------------------------------------------------
+--R   (482)  ---------------------------------------------------
 --R                            (b n + b)sin(x)
 --R                                          Type: Union(Expression Integer,...)
 --E 504
@@ -45277,7 +44887,7 @@ a0895:= integrate(t0895,x)
 m0895:= a0895-r0895
 --R 
 --R
---R   (484)
+--R   (483)
 --R                                      a sin(x) + b cos(x)
 --R                                n log(-------------------)
 --R                                             sin(x)
@@ -45294,7 +44904,7 @@ m0895:= a0895-r0895
 d0895:= D(m0895,x)
 --R 
 --R
---R   (485)
+--R   (484)
 --R                                  a sin(x) + b cos(x)
 --R                            n log(-------------------)
 --R              2         2                sin(x)
@@ -45313,7 +44923,7 @@ t0896:= 2+cot(x)^2
 --R 
 --R
 --R                2
---R   (486)  cot(x)  + 2
+--R   (485)  cot(x)  + 2
 --R                                                     Type: Expression Integer
 --E 507
 
@@ -45321,7 +44931,7 @@ t0896:= 2+cot(x)^2
 r0896:= x-cot(x)
 --R 
 --R
---R   (487)  - cot(x) + x
+--R   (486)  - cot(x) + x
 --R                                                     Type: Expression Integer
 --E 508
 
@@ -45330,7 +44940,7 @@ a0896:= integrate(t0896,x)
 --R 
 --R
 --R          x sin(2x) - cos(2x) - 1
---R   (488)  -----------------------
+--R   (487)  -----------------------
 --R                  sin(2x)
 --R                                          Type: Union(Expression Integer,...)
 --E 509
@@ -45340,7 +44950,7 @@ m0896:= a0896-r0896
 --R 
 --R
 --R          cot(x)sin(2x) - cos(2x) - 1
---R   (489)  ---------------------------
+--R   (488)  ---------------------------
 --R                    sin(2x)
 --R                                                     Type: Expression Integer
 --E 510
@@ -45351,7 +44961,7 @@ d0896:= D(m0896,x)
 --R
 --R                   2            2           2
 --R          (- cot(x)  + 1)sin(2x)  + 2cos(2x)  + 2cos(2x)
---R   (490)  ----------------------------------------------
+--R   (489)  ----------------------------------------------
 --R                                    2
 --R                             sin(2x)
 --R                                                     Type: Expression Integer
@@ -45363,7 +44973,7 @@ t0897:= csc(x)^2*(a+b*cot(x))/(c+d*cot(x))
 --R
 --R                              2
 --R          (b cot(x) + a)csc(x)
---R   (491)  ---------------------
+--R   (490)  ---------------------
 --R               d cot(x) + c
 --R                                                     Type: Expression Integer
 --E 512
@@ -45373,7 +44983,7 @@ r0897:= -b*cot(x)/d+(b*c-a*d)*log(c+d*cot(x))/d^2
 --R 
 --R
 --R          (- a d + b c)log(d cot(x) + c) - b d cot(x)
---R   (492)  -------------------------------------------
+--R   (491)  -------------------------------------------
 --R                                2
 --R                               d
 --R                                                     Type: Expression Integer
@@ -45383,7 +44993,7 @@ r0897:= -b*cot(x)/d+(b*c-a*d)*log(c+d*cot(x))/d^2
 a0897:= integrate(t0897,x)
 --R 
 --R
---R   (493)
+--R   (492)
 --R                              sin(x)
 --R       (a d - b c)sin(x)log(----------)
 --R                            cos(x) + 1
@@ -45401,7 +45011,7 @@ a0897:= integrate(t0897,x)
 m0897:= a0897-r0897
 --R 
 --R
---R   (494)
+--R   (493)
 --R                              sin(x)
 --R       (a d - b c)sin(x)log(----------) + (a d - b c)sin(x)log(d cot(x) + c)
 --R                            cos(x) + 1
@@ -45421,7 +45031,7 @@ m0897:= a0897-r0897
 d0897:= D(m0897,x)
 --R 
 --R
---R   (495)
+--R   (494)
 --R                    3             2                           3
 --R       (- b c cot(x)  - a c cot(x)  + (a d - b c)cot(x))sin(x)
 --R     + 
@@ -45442,7 +45052,7 @@ t0898:= csc(x)^2*(a+b*cot(x))^2/(c+d*cot(x))
 --R
 --R            2      2                  2       2
 --R          (b cot(x)  + 2a b cot(x) + a )csc(x)
---R   (496)  -------------------------------------
+--R   (495)  -------------------------------------
 --R                       d cot(x) + c
 --R                                                     Type: Expression Integer
 --E 517
@@ -45451,7 +45061,7 @@ t0898:= csc(x)^2*(a+b*cot(x))^2/(c+d*cot(x))
 r0898:= b*(b*c-a*d)*cot(x)/d^2-1/2*(a+b*cot(x))^2/d-(b*c-a*d)^2*log(c+d*cot(x))/d^3
 --R 
 --R
---R   (497)
+--R   (496)
 --R            2 2                2 2                      2 2      2
 --R       (- 2a d  + 4a b c d - 2b c )log(d cot(x) + c) - b d cot(x)
 --R     + 
@@ -45467,7 +45077,7 @@ r0898:= b*(b*c-a*d)*cot(x)/d^2-1/2*(a+b*cot(x))^2/d-(b*c-a*d)^2*log(c+d*cot(x))/
 a0898:= integrate(t0898,x)
 --R 
 --R
---R   (498)
+--R   (497)
 --R             2 2                2 2       2     2 2                2 2
 --R         ((4a d  - 8a b c d + 4b c )cos(x)  - 4a d  + 8a b c d - 4b c )
 --R      *
@@ -45494,7 +45104,7 @@ a0898:= integrate(t0898,x)
 m0898:= a0898-r0898
 --R 
 --R
---R   (499)
+--R   (498)
 --R             2 2                2 2       2     2 2                2 2
 --R         ((4a d  - 8a b c d + 4b c )cos(x)  - 4a d  + 8a b c d - 4b c )
 --R      *
@@ -45532,7 +45142,7 @@ m0898:= a0898-r0898
 d0898:= D(m0898,x)
 --R 
 --R
---R   (500)
+--R   (499)
 --R                     2    2 2        2           2    2 2
 --R           ((2a b c d  - b c d)cos(x)  + 2a b c d  - b c d)cot(x)
 --R         + 
@@ -45645,7 +45255,7 @@ t0899:= csc(x)^2*(a+b*cot(x))^3/(c+d*cot(x))
 --R
 --R            3      3       2      2     2            3       2
 --R          (b cot(x)  + 3a b cot(x)  + 3a b cot(x) + a )csc(x)
---R   (501)  ----------------------------------------------------
+--R   (500)  ----------------------------------------------------
 --R                              d cot(x) + c
 --R                                                     Type: Expression Integer
 --E 522
@@ -45654,7 +45264,7 @@ t0899:= csc(x)^2*(a+b*cot(x))^3/(c+d*cot(x))
 r0899:= -b*(b*c-a*d)^2*cot(x)/d^3+1/2*(b*c-a*d)*(a+b*cot(x))^2/d^2-1/3*(a+b*cot(x))^3/d+(b*c-a*d)^3*log(c+d*cot(x))/d^4
 --R 
 --R
---R   (502)
+--R   (501)
 --R            3 3      2     2        2 2      3 3
 --R       (- 6a d  + 18a b c d  - 18a b c d + 6b c )log(d cot(x) + c)
 --R     + 
@@ -45673,7 +45283,7 @@ r0899:= -b*(b*c-a*d)^2*cot(x)/d^3+1/2*(b*c-a*d)*(a+b*cot(x))^2/d^2-1/3*(a+b*cot(
 a0899:= integrate(t0899,x)
 --R 
 --R
---R   (503)
+--R   (502)
 --R               3 3      2     2        2 2       3 3       2      3 3
 --R           (12a d  - 36a b c d  + 36a b c d - 12b c )cos(x)  - 12a d
 --R         + 
@@ -45712,7 +45322,7 @@ a0899:= integrate(t0899,x)
 m0899:= a0899-r0899
 --R 
 --R
---R   (504)
+--R   (503)
 --R               3 3      2     2        2 2       3 3       2      3 3
 --R           (12a d  - 36a b c d  + 36a b c d - 12b c )cos(x)  - 12a d
 --R         + 
@@ -45778,7 +45388,7 @@ m0899:= a0899-r0899
 d0899:= D(m0899,x)
 --R 
 --R
---R   (505)
+--R   (504)
 --R             2   2     3 2                      2 2      3 3              4
 --R       ((9a b c d  - 3b c d)cos(x)cot(x) + (9a b c d - 3b c )cos(x))sin(x)
 --R     + 
diff --git a/src/input/setcmd.input.pamphlet b/src/input/setcmd.input.pamphlet
index fe992fa..94d5d0b 100644
--- a/src/input/setcmd.input.pamphlet
+++ b/src/input/setcmd.input.pamphlet
@@ -982,6 +982,7 @@
 
 --S 65 of 143
 )set output 
+--R 
 --R                   Current Values of  output  Variables                    
 --R
 --RVariable     Description                                Current Value
@@ -991,6 +992,7 @@
 --Rcharacters   choose special output character set        plain 
 --Rfortran      create output in FORTRAN format            Off:CONSOLE 
 --Rfraction     how fractions are formatted                vertical 
+--Rhtml         create output in HTML style                Off:CONSOLE 
 --Rlength       line length of output displays             77 
 --Rmathml       create output in MathML style              Off:CONSOLE 
 --Ropenmath     create output in OpenMath style            Off:CONSOLE 
diff --git a/src/input/test.input.pamphlet b/src/input/test.input.pamphlet
index 3f36d5e..270930c 100644
--- a/src/input/test.input.pamphlet
+++ b/src/input/test.input.pamphlet
@@ -826,7 +826,7 @@ m = [[1,2],[2,3]]  -- Should return type EQ POLY SQMATRIX(2, INT)
 --S 64 of 188
 1+"asd"  -- These should both fail in the same way
 --R 
---R   There are 12 exposed and 5 unexposed library operations named + 
+--R   There are 15 exposed and 5 unexposed library operations named + 
 --R      having 2 argument(s) but none was determined to be applicable. 
 --R      Use HyperDoc Browse, or issue
 --R                                )display op +
